GNU bug report logs - #16013
24.3.50; Rows in height is interpreted as pixels.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jan Djärv <jan.h.d@HIDDEN>; dated Sat, 30 Nov 2013 13:10:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 29 Jan 2014 10:14:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 29 05:14:27 2014
Received: from localhost ([127.0.0.1]:39820 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W8SA6-0000Xt-QS
	for submit <at> debbugs.gnu.org; Wed, 29 Jan 2014 05:14:27 -0500
Received: from mout.gmx.net ([212.227.15.18]:51010)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1W8SA4-0000Xi-0z
 for 16013 <at> debbugs.gnu.org; Wed, 29 Jan 2014 05:14:25 -0500
Received: from [62.47.52.118] ([62.47.52.118]) by mail.gmx.com (mrgmx003) with
 ESMTPSA (Nemesis) id 0LeMWL-1VTurb3LlV-00q82d for
 <16013 <at> debbugs.gnu.org>; Wed, 29 Jan 2014 11:14:23 +0100
Message-ID: <52E8D475.8070003@HIDDEN>
Date: Wed, 29 Jan 2014 11:14:13 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: =?ISO-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
 <529B0519.3010902@HIDDEN> <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
 <529B1C71.9020707@HIDDEN> <F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>
 <529CCE48.9090404@HIDDEN> <F7B1AAD0-75DE-400A-B18D-E54A84060284@HIDDEN>
 <529D8F3E.30400@HIDDEN> <93EF122E-7EFC-4ACF-A216-E83981DD511A@HIDDEN>
 <529E2441.8030808@HIDDEN> <9E083836-7DF3-4AC3-8711-A0E4757C9691@HIDDEN>
 <01BCA22D-62F2-4F04-B14C-85452A9D1201@HIDDEN> <52D14EA5.9060900@HIDDEN>
 <52D18361.5050308@HIDDEN> <52D2663A.3020201@HIDDEN>
 <C8B9DC22-F152-42AE-B299-D52B32247AD2@HIDDEN> <52D7AE74.70302@HIDDEN>
 <225940B7-0445-4639-81EE-686AEB31DA0B@HIDDEN>
In-Reply-To: <225940B7-0445-4639-81EE-686AEB31DA0B@HIDDEN>
Content-Type: multipart/mixed; boundary="------------070102070003030907010702"
X-Provags-ID: V03:K0:NHblfDoQtfo99XFNH+1qHRct5Avi+BTFghL96ZkVBqwfVUxon6F
 jjGfLZQQRMdDF1KT7U2xhUx1FEPK4skOpmKB/6ARPHRBvH2wMa8jEiVZTUFHN0jzLrIQJG7
 bLdB9rNIQyYygL8n5FkwExQYSys1JihJUZZZgFNcsHeOIRc7HhWR4YDhvz9W2MGBRjidz2r
 LOhNISlkkcBTjcc3g7rPg==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: "16013 <at> debbugs.gnu.org" <16013 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

This is a multi-part message in MIME format.
--------------070102070003030907010702
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit

I would proceed as follows: For the release, apply the attached patch.
This should give initial and subsequent frames the same size and thus
resolve most issues you raised in this thread and also fix bug 14795.
For Lucid/Motif/Windows the toolbar would remain part of the text area,
hence the number of lines available for editing would be less than
specified.  I see no way to provide a safe fix for this without
sufficient testing.  We could increase the number of DEFAULT_ROWS for
these builds though, so the default frames would retain their prior
sizes.

After the release I would try to change the behavior such that when a
frame is created, the toolbar is not counted in the text height on these
builds.  Hence `default-frame-alist' would be interpreted as for the
GTK build.  Subsequent changes (adding/removing/wrapping) of the toolbar
would not change the size of the frame but that of its text area, so in
this case the behavior would differ from GTK but still be different from
the prior behavior.

I soon intend to implement horizontal scrollbars anyway so the necessary
changes would mainly amount to something like defining:

#define FRAME_TEXT_LINES_TO_PIXEL_HEIGHT(f, lines) \
   ((lines) * FRAME_LINE_HEIGHT (f)		   \
    + FRAME_TOOL_BAR_HEIGHT (f)			   \
    + FRAME_SCROLL_BAR_AREA_HEIGHT (f)		   \
    + 2 * FRAME_INTERNAL_BORDER_WIDTH (f))

WDYT?

martin

--------------070102070003030907010702
Content-Type: text/plain;
 name="frame-text-size.diff"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: inline;
 filename="frame-text-size.diff"

=3D=3D=3D modified file 'src/frame.c'
--- src/frame.c	2014-01-11 10:01:01 +0000
+++ src/frame.c	2014-01-28 18:21:35 +0000
@@ -4244,7 +4244,10 @@
   /* This used to be done _before_ calling x_figure_window_size, but
      since the height is reset here, this was really a no-op.  I
      assume that moving it here does what Gerd intended (although he
-     no longer can remember what that was...  ++KFS, 2003-03-25.  */
+     no longer can remember what that was...  ++KFS, 2003-03-25.
+
+     Defined out since it makes subsequent frames larger than the
+     initial one.  See Bug#16013.  martin, 2014-01-15.  */

   /* Add the tool-bar height to the initial frame height so that the
      user gets a text display area of the size he specified with -g or
@@ -4252,6 +4255,7 @@
      change the frame size.  This is done so that users can create
      tall Emacs frames without having to guess how tall the tool-bar
      will get.  */
+#if 0
   if (toolbar_p && FRAME_TOOL_BAR_HEIGHT (f))
     {
       int margin, relief, bar_height;
@@ -4272,6 +4276,7 @@
       bar_height =3D DEFAULT_TOOL_BAR_IMAGE_HEIGHT + 2 * margin + 2 * re=
lief;
       FRAME_LINES (f) +=3D (bar_height + FRAME_LINE_HEIGHT (f) - 1) / FR=
AME_LINE_HEIGHT (f);
     }
+#endif

   compute_fringe_widths (f, 0);


=3D=3D=3D modified file 'src/widget.c'
--- src/widget.c	2014-01-01 07:43:34 +0000
+++ src/widget.c	2014-01-28 18:21:35 +0000
@@ -687,12 +687,18 @@
       int width, height;

       pixel_to_text_size (ew, ew->core.width, ew->core.height, &width, &=
height);
-      change_frame_size (f, width, height, 0, 1, 0, 1);
-
-      update_wm_hints (ew);
-      update_various_frame_slots (ew);
-
-      cancel_mouse_face (f);
+      if (width !=3D FRAME_TEXT_WIDTH (f)
+	  || height !=3D FRAME_TEXT_HEIGHT (f)
+	  || ew->core.width !=3D FRAME_PIXEL_WIDTH (f)
+	  || ew->core.height + x->menubar_height !=3D FRAME_PIXEL_HEIGHT (f))
+	{
+	  change_frame_size (f, width, height, 0, 1, 0, 1);
+
+	  update_wm_hints (ew);
+	  update_various_frame_slots (ew);
+
+	  cancel_mouse_face (f);
+	}
 #if 0  /* See comment above.  */
     }
   else
@@ -820,12 +826,12 @@

 /* Special entry points */
 void
-EmacsFrameSetCharSize (Widget widget, int columns, int rows)
+EmacsFrameSetCharSize (Widget widget, int width, int height)
 {
   EmacsFrame ew =3D (EmacsFrame) widget;
   struct frame *f =3D ew->emacs_frame.frame;

-  x_set_window_size (f, 0, columns, rows, 0);
+  x_set_window_size (f, 0, width, height, 1);
 }

 =0C

=3D=3D=3D modified file 'src/xmenu.c'
--- src/xmenu.c	2014-01-29 08:23:59 +0000
+++ src/xmenu.c	2014-01-29 09:09:51 +0000
@@ -682,7 +682,7 @@
   xg_update_frame_menubar (f);
 #else
   struct x_output *x;
-  int columns, rows;
+  int width, height;

   eassert (FRAME_X_P (f));

@@ -694,8 +694,8 @@
   block_input ();
   /* Save the size of the frame because the pane widget doesn't accept
      to resize itself. So force it.  */
-  columns =3D FRAME_COLS (f);
-  rows =3D FRAME_LINES (f);
+  width =3D FRAME_TEXT_WIDTH (f);
+  height =3D FRAME_TEXT_HEIGHT (f);

   /* Do the voodoo which means "I'm changing lots of things, don't try
      to refigure sizes until I'm done."  */
@@ -717,7 +717,7 @@
   lw_refigure_widget (x->column_widget, True);

   /* Force the pane widget to resize itself with the right values.  */
-  EmacsFrameSetCharSize (x->edit_widget, columns, rows);
+  EmacsFrameSetCharSize (x->edit_widget, width, height);
   unblock_input ();
 #endif
 }

=3D=3D=3D modified file 'src/xterm.c'
--- src/xterm.c	2014-01-26 12:17:55 +0000
+++ src/xterm.c	2014-01-28 18:21:35 +0000
@@ -8573,21 +8573,26 @@

   compute_fringe_widths (f, 0);

-  pixelwidth =3D ((pixelwise
-		 ? FRAME_TEXT_TO_PIXEL_WIDTH (f, width)
-		 : FRAME_TEXT_COLS_TO_PIXEL_WIDTH (f, width))
-		+ FRAME_TOOLBAR_WIDTH (f));
-  pixelheight =3D ((pixelwise
-		  ? FRAME_TEXT_TO_PIXEL_HEIGHT (f, height)
-		  : FRAME_TEXT_LINES_TO_PIXEL_HEIGHT (f, height))
-		 + FRAME_MENUBAR_HEIGHT (f)
-		 + FRAME_TOOLBAR_HEIGHT (f));
+  pixelwidth =3D (pixelwise
+		? FRAME_TEXT_TO_PIXEL_WIDTH (f, width)
+		: FRAME_TEXT_COLS_TO_PIXEL_WIDTH (f, width));
+  pixelheight =3D (pixelwise
+		 ? FRAME_TEXT_TO_PIXEL_HEIGHT (f, height)
+		 : FRAME_TEXT_LINES_TO_PIXEL_HEIGHT (f, height));
+
+#if defined (USE_LUCID) || defined (USE_MOTIF)
+  {
+    struct x_output *x =3D f->output_data.x;
+
+    pixelheight +=3D x->menubar_height;
+  }
+#endif
+
   if (change_gravity) f->win_gravity =3D NorthWestGravity;
   x_wm_set_size_hint (f, (long) 0, 0);
   XResizeWindow (FRAME_X_DISPLAY (f), FRAME_OUTER_WINDOW (f),
 		 pixelwidth, pixelheight);

-
   /* We've set {FRAME,PIXEL}_{WIDTH,HEIGHT} to the values we hope to
      receive in the ConfigureNotify event; if we get what we asked
      for, then the event won't cause the screen to become garbaged, so



--------------070102070003030907010702--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 18 Jan 2014 12:07:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 18 07:07:24 2014
Received: from localhost ([127.0.0.1]:55715 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W4UgO-0003GC-6f
	for submit <at> debbugs.gnu.org; Sat, 18 Jan 2014 07:07:24 -0500
Received: from mout.gmx.net ([212.227.15.18]:62813)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1W4UgL-0003G4-W6
 for 16013 <at> debbugs.gnu.org; Sat, 18 Jan 2014 07:07:22 -0500
Received: from [62.47.53.178] ([62.47.53.178]) by mail.gmx.com (mrgmx001) with
 ESMTPSA (Nemesis) id 0MLeoF-1W4DZC0Y67-000qsv for
 <16013 <at> debbugs.gnu.org>; Sat, 18 Jan 2014 13:07:21 +0100
Message-ID: <52DA6E75.1000102@HIDDEN>
Date: Sat, 18 Jan 2014 13:07:17 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: =?ISO-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
 <529B0519.3010902@HIDDEN> <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
 <529B1C71.9020707@HIDDEN> <F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>
 <529CCE48.9090404@HIDDEN> <F7B1AAD0-75DE-400A-B18D-E54A84060284@HIDDEN>
 <529D8F3E.30400@HIDDEN> <93EF122E-7EFC-4ACF-A216-E83981DD511A@HIDDEN>
 <529E2441.8030808@HIDDEN> <9E083836-7DF3-4AC3-8711-A0E4757C9691@HIDDEN>
 <01BCA22D-62F2-4F04-B14C-85452A9D1201@HIDDEN> <52D14EA5.9060900@HIDDEN>
 <52D18361.5050308@HIDDEN> <52D2663A.3020201@HIDDEN>
 <C8B9DC22-F152-42AE-B299-D52B32247AD2@HIDDEN> <52D7AE74.70302@HIDDEN>
 <225940B7-0445-4639-81EE-686AEB31DA0B@HIDDEN>
In-Reply-To: <225940B7-0445-4639-81EE-686AEB31DA0B@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:GXXFCixMmMSQdOe58080LMnr5mW6HUp4mHWSNYAsItcduDQtjBJ
 n44uDvf6NPBP11dPa0BYKSL9ox71zKvudf5+P2cfRH79Nm1Ww8/Wu3uJzWEam4jhxNo3rPZ
 dvLsnEH+hYDYN+GDuwBkhK2Bvy5PbpslaxWO/ou3REkfkt47UoD4M4nqZFziir0Mw4SiIo2
 F6ttJPiwvL69n3+IqJisw==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: "16013 <at> debbugs.gnu.org" <16013 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 >> (2) The real height of the toolbar is with tool_bar_height which might
 >>    not fit the one we assume (in x_figure_window_size) anyway.  One
 >>    more non-trivial fix since tool_bar_height is not available
 >>    initially but only after the display engine handled it.  But the
 >>    display engine wants the initial height of the frame so we have a
 >>    chicken-and-egg problem here.

BTW it's very difficult to know how much space drawing a toolbar really
takes because we should know its border size too.

 > Disable wrapping of the toolbar?

But this is customizable via `auto-resize-tool-bars'.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 18 Jan 2014 11:30:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 18 06:30:51 2014
Received: from localhost ([127.0.0.1]:55694 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W4U71-0002Da-Dc
	for submit <at> debbugs.gnu.org; Sat, 18 Jan 2014 06:30:51 -0500
Received: from mailfe07.swip.net ([212.247.154.193]:40364 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1W4U6x-0002DK-Iy
 for 16013 <at> debbugs.gnu.org; Sat, 18 Jan 2014 06:30:49 -0500
X-T2-Spam-Status: No, hits=0.0 required=5.0
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe07.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 469294393; Sat, 18 Jan 2014 12:30:44 +0100
Content-Type: text/plain; charset=iso-8859-1
Mime-Version: 1.0 (Mac OS X Mail 7.1 \(1827\))
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
From: =?iso-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <52D7AE74.70302@HIDDEN>
Date: Sat, 18 Jan 2014 12:30:43 +0100
Content-Transfer-Encoding: 7bit
Message-Id: <225940B7-0445-4639-81EE-686AEB31DA0B@HIDDEN>
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
 <529B0519.3010902@HIDDEN> <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
 <529B1C71.9020707@HIDDEN> <F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>
 <529CCE48.9090404@HIDDEN> <F7B1AAD0-75DE-400A-B18D-E54A84060284@HIDDEN>
 <529D8F3E.30400@HIDDEN> <93EF122E-7EFC-4ACF-A216-E83981DD511A@HIDDEN>
 <529E2441.8030808@HIDDEN> <9E083836-7DF3-4AC3-8711-A0E4757C9691@HIDDEN>
 <01BCA22D-62F2-4F04-B14C-85452A9D1201@HIDDEN> <52D14EA5.9060900@HIDDEN>
 <52D18361.5050308@HIDDEN> <52D2663A.3020201@HIDDEN>
 <C8B9DC22-F152-42AE-B299-D52B32247AD2@HIDDEN> <52D7AE74.70302@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
X-Mailer: Apple Mail (2.1827)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: "16013 <at> debbugs.gnu.org" <16013 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hello.

16 jan 2014 kl. 11:03 skrev martin rudalics <rudalics@HIDDEN>:

> 
> (1) When the window manager asks us to resize a frame, we do not
>    subtract the toolbar height.  That is, the height of the toolbar is
>    included in the frame's text height afterwards, defeating our
>    illusion that it's counted separately.  This means an even less
>    trivial fix than the one mentioned above.
> 
> (2) The real height of the toolbar is with tool_bar_height which might
>    not fit the one we assume (in x_figure_window_size) anyway.  One
>    more non-trivial fix since tool_bar_height is not available
>    initially but only after the display engine handled it.  But the
>    display engine wants the initial height of the frame so we have a
>    chicken-and-egg problem here.
> 
> (3) Lucid/Motif/No toolkit/Windows can wrap the toolbar (something Gtk
>    doesn't).  The display engine does this by stealing the necessary
>    height from the editing area - that is, the root window - and
>    autonomously updating the `tool-bar-lines' frame parameter.  This
>    complicates subsequent frame resizing since we don't know a priori
>    whether the toolbar will wrap again.
> 
> So while I agree with you that menu and tool bar should not be
> considered content, I see no easy way to work around this assumption on
> the systems in question.  Suggestions welcome.

Disable wrapping of the toolbar?

	Jan D.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 16 Jan 2014 10:14:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 16 05:14:16 2014
Received: from localhost ([127.0.0.1]:52849 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W3jxn-0000Hk-UZ
	for submit <at> debbugs.gnu.org; Thu, 16 Jan 2014 05:14:16 -0500
Received: from mout.gmx.net ([212.227.15.19]:54016)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1W3jxm-0000Hd-Aa
 for 16013 <at> debbugs.gnu.org; Thu, 16 Jan 2014 05:14:15 -0500
Received: from [62.47.53.191] ([62.47.53.191]) by mail.gmx.com (mrgmx003) with
 ESMTPSA (Nemesis) id 0LvVYZ-1VKoju2XEB-010a2j for
 <16013 <at> debbugs.gnu.org>; Thu, 16 Jan 2014 11:14:13 +0100
Message-ID: <52D7B0EA.4040704@HIDDEN>
Date: Thu, 16 Jan 2014 11:14:02 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: =?ISO-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>	<5299FD88.2090600@HIDDEN>
 <529A33F4.5030606@HIDDEN>	<529B0519.3010902@HIDDEN>	<F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>	<529B1C71.9020707@HIDDEN>	<F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>	<529CCE48.9090404@HIDDEN>	<F7B1AAD0-75DE-400A-B18D-E54A84060284@HIDDEN>	<529D8F3E.30400@HIDDEN>	<93EF122E-7EFC-4ACF-A216-E83981DD511A@HIDDEN>	<529E2441.8030808@HIDDEN>	<9E083836-7DF3-4AC3-8711-A0E4757C9691@HIDDEN>	<01BCA22D-62F2-4F04-B14C-85452A9D1201@HIDDEN>	<52D14EA5.9060900@HIDDEN>	<52D18361.5050308@HIDDEN>
 <52D2663A.3020201@HIDDEN>	<C8B9DC22-F152-42AE-B299-D52B32247AD2@HIDDEN>
 <52D7AE74.70302@HIDDEN>
In-Reply-To: <52D7AE74.70302@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:aZCaDMN/LLbnVxE3JPIoeSarvpH9Lg7RyCJBtvE9iaNryg3/edi
 Ks+wg1m/5aastIZ6IJaznZvzj6tVoRB1DXDRp/3x1Jwma7cINZiT/EOiEKedgFtp1WFJkwp
 PDHwQ8eJguNHeOdOFZfGAL53C41MTO+hc/8bGYhYVWiw9J2KEtrxcvR5cH9EppCBl8+tITV
 7cf9QD3Px2GN33KhoIm8A==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: "16013 <at> debbugs.gnu.org" <16013 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Sorry - my last mail contained unrelated text at the beginning.
Stripped now for better reading:

 >> I frequently asked on this list what `frame-height' and especially the
 >> "number of lines available for display" stands for, but never got an
 >> answer I could understand.
 >
 >
 > This has been inconsistent historically, i.e. Lucid/Motif/No toolkit counts differently than Gtk/NS.
 > I think the Gtk count makes more sense.  If a user requests 50 lines he probably means 50 editable lines, not 47.  So I think we should not count tool bar or menu bar.
 > The documentation says
 > "The height of the frame contents, in characters."
 > I don't think menu and tool bar is content.

I'm not sure what to do.  There's no problem for most elements of
`default-frame-alist' or when setting the default font.  The only real
offender is that of your init file - namely setting the default height.

A trivial scenario for Emacs 24.3 on Windows (I didn't try with that
version on Lucid/Motif but I suppose it's similar) is with emacs -Q:

(setq default-frame-alist '((height . 50)))

C-x 5 2

(set-frame-parameter nil 'height 50)

This changes the height of the new frame although it apparently is
already 50 lines high.  Such behavior constitutes a bug IMHO.  This
could be fixed but is certainly not trivial enough for inclusion in
24.4.

There are a few more arguments to count differently on Lucid/Motif/No
toolkit/Windows:

(1) When the window manager asks us to resize a frame, we do not
     subtract the toolbar height.  That is, the height of the toolbar is
     included in the frame's text height afterwards, defeating our
     illusion that it's counted separately.  This means an even less
     trivial fix than the one mentioned above.

(2) The real height of the toolbar is with tool_bar_height which might
     not fit the one we assume (in x_figure_window_size) anyway.  One
     more non-trivial fix since tool_bar_height is not available
     initially but only after the display engine handled it.  But the
     display engine wants the initial height of the frame so we have a
     chicken-and-egg problem here.

(3) Lucid/Motif/No toolkit/Windows can wrap the toolbar (something Gtk
     doesn't).  The display engine does this by stealing the necessary
     height from the editing area - that is, the root window - and
     autonomously updating the `tool-bar-lines' frame parameter.  This
     complicates subsequent frame resizing since we don't know a priori
     whether the toolbar will wrap again.

So while I agree with you that menu and tool bar should not be
considered content, I see no easy way to work around this assumption on
the systems in question.  Suggestions welcome.

martin










Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 16 Jan 2014 10:03:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 16 05:03:47 2014
Received: from localhost ([127.0.0.1]:52832 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W3jne-0008Qd-Sy
	for submit <at> debbugs.gnu.org; Thu, 16 Jan 2014 05:03:47 -0500
Received: from mout.gmx.net ([212.227.15.15]:63708)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1W3jnc-0008QU-He
 for 16013 <at> debbugs.gnu.org; Thu, 16 Jan 2014 05:03:45 -0500
Received: from [62.47.53.191] ([62.47.53.191]) by mail.gmx.com (mrgmx003) with
 ESMTPSA (Nemesis) id 0LqzIJ-1VPC733lOV-00efsa for
 <16013 <at> debbugs.gnu.org>; Thu, 16 Jan 2014 11:03:43 +0100
Message-ID: <52D7AE74.70302@HIDDEN>
Date: Thu, 16 Jan 2014 11:03:32 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: =?ISO-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
 <529B0519.3010902@HIDDEN> <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
 <529B1C71.9020707@HIDDEN> <F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>
 <529CCE48.9090404@HIDDEN> <F7B1AAD0-75DE-400A-B18D-E54A84060284@HIDDEN>
 <529D8F3E.30400@HIDDEN> <93EF122E-7EFC-4ACF-A216-E83981DD511A@HIDDEN>
 <529E2441.8030808@HIDDEN> <9E083836-7DF3-4AC3-8711-A0E4757C9691@HIDDEN>
 <01BCA22D-62F2-4F04-B14C-85452A9D1201@HIDDEN> <52D14EA5.9060900@HIDDEN>
 <52D18361.5050308@HIDDEN> <52D2663A.3020201@HIDDEN>
 <C8B9DC22-F152-42AE-B299-D52B32247AD2@HIDDEN>
In-Reply-To: <C8B9DC22-F152-42AE-B299-D52B32247AD2@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:uXcVslar6BLJZegzT7f+t4Qq1mNUhQOhK0xUQWK6FEccupMQnHu
 Rf9Befc92gr3XFdlMn1HqXE6T6XmDytWLeFs4y1nSm7CyA9X0GBn20JvdX+lY0u/c5GQGzV
 4kQx7p5ngwJ7z7zMJt/+VdveS1KwnRrYnOifqc4qhvkEqI1Vhm1ZDQSMKS3dvuWjeKedKaQ
 EZpmm6Eu4tEEMwY6zeMdA==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: "16013 <at> debbugs.gnu.org" <16013 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Michael Welsh Duggan schrieb:
 > Stefan Monnier <monnier@HIDDEN> writes:
 >
 >>> I know I am opening up a can of worms here, but I am going to argue that
 >>> `C-x SPC' be changed back to `gud-break'.
 >> Oddly enough there hasn't been the expected deluge of opinions.
 >
 > It surprises me, too.  My only guess is that people just don't use gdb
 > in emacs much, or they tend to use the mouse to set breakpoints.  (I
 > highly doubt people are using `C-x C-a C-b'.)  I guess I'll just have to
 > suggest rebinding it in gud-gdb-mode-hook to people who like it better
 > the way it was before.
 >
 > I know that the documentation updates are still a work in progress, but
 > please make sure current references to `C-x SPC' in the manual are
 > changed to `C-x C-a C-b' respectively.
 >

 >> I frequently asked on this list what `frame-height' and especially the
 >> "number of lines available for display" stands for, but never got an
 >> answer I could understand.
 >
 >
 > This has been inconsistent historically, i.e. Lucid/Motif/No toolkit counts differently than Gtk/NS.
 > I think the Gtk count makes more sense.  If a user requests 50 lines he probably means 50 editable lines, not 47.  So I think we should not count tool bar or menu bar.
 > The documentation says
 > "The height of the frame contents, in characters."
 > I don't think menu and tool bar is content.

I'm not sure what to do.  There's no problem for most elements of
`default-frame-alist' or when setting the default font.  The only real
offender is that of your init file - namely setting the default height.

A trivial scenario for Emacs 24.3 on Windows (I didn't try with that
version on Lucid/Motif but I suppose it's similar) is with emacs -Q:

(setq default-frame-alist '((height . 50)))

C-x 5 2

(set-frame-parameter nil 'height 50)

This changes the height of the new frame although it apparently is
already 50 lines high.  Such behavior constitutes a bug IMHO.  This
could be fixed but is certainly not trivial enough for inclusion in
24.4.

There are a few more arguments to count differently on Lucid/Motif/No
toolkit/Windows:

(1) When the window manager asks us to resize a frame, we do not
     subtract the toolbar height.  That is, the height of the toolbar is
     included in the frame's text height afterwards, defeating our
     illusion that it's counted separately.  This means an even less
     trivial fix than the one mentioned above.

(2) The real height of the toolbar is with tool_bar_height which might
     not fit the one we assume (in x_figure_window_size) anyway.  One
     more non-trivial fix since tool_bar_height is not available
     initially but only after the display engine handled it.  But the
     display engine wants the initial height of the frame so we have a
     chicken-and-egg problem here.

(3) Lucid/Motif/No toolkit/Windows can wrap the toolbar (something Gtk
     doesn't).  The display engine does this by stealing the necessary
     height from the editing area - that is, the root window - and
     autonomously updating the `tool-bar-lines' frame parameter.  This
     complicates subsequent frame resizing since we don't know a priori
     whether the toolbar will wrap again.

So while I agree with you that menu and tool bar should not be
considered content, I see no easy way to work around this assumption on
the systems in question.  Suggestions welcome.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 14 Jan 2014 18:10:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 14 13:10:44 2014
Received: from localhost ([127.0.0.1]:50649 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W38Rl-00008V-0J
	for submit <at> debbugs.gnu.org; Tue, 14 Jan 2014 13:10:41 -0500
Received: from mout.gmx.net ([212.227.17.21]:61729)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1W38Rg-00008F-6K
 for 16013 <at> debbugs.gnu.org; Tue, 14 Jan 2014 13:10:37 -0500
Received: from [62.47.49.220] ([62.47.49.220]) by mail.gmx.com (mrgmx102) with
 ESMTPSA (Nemesis) id 0M5IdH-1V9LxU0pP5-00zXhm for
 <16013 <at> debbugs.gnu.org>; Tue, 14 Jan 2014 19:10:35 +0100
Message-ID: <52D57D90.3070306@HIDDEN>
Date: Tue, 14 Jan 2014 19:10:24 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: =?ISO-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
 <529B0519.3010902@HIDDEN> <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
 <529B1C71.9020707@HIDDEN> <F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>
 <529CCE48.9090404@HIDDEN> <F7B1AAD0-75DE-400A-B18D-E54A84060284@HIDDEN>
 <529D8F3E.30400@HIDDEN> <93EF122E-7EFC-4ACF-A216-E83981DD511A@HIDDEN>
 <529E2441.8030808@HIDDEN> <9E083836-7DF3-4AC3-8711-A0E4757C9691@HIDDEN>
 <01BCA22D-62F2-4F04-B14C-85452A9D1201@HIDDEN> <52D14EA5.9060900@HIDDEN>
 <52D18361.5050308@HIDDEN> <52D2663A.3020201@HIDDEN>
 <C8B9DC22-F152-42AE-B299-D52B32247AD2@HIDDEN>
 <EBE00F3E-DB92-40DE-A48B-67B0524FBAAF@HIDDEN>
In-Reply-To: <EBE00F3E-DB92-40DE-A48B-67B0524FBAAF@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:CdhTCW6ZNJ5EtF8oPAz4qul9iULqKjfVr3Yc3uDPkU8HgOZUC1a
 xQelS+XjvKJAt+Uh3M+/TErojD+q26pMbOcUOZ6g+AnjV6mPfbJT3B4EO15y+r5sCBkaMys
 oyNiuh0XEKTQDcyzOjFn3iO6zm8ZiVHD3gTr1FeYebCSfvFCMKAw5a5XtaltWOq3cWQPJ8M
 cX/fmeV+mfnZhslsEiC3g==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: "16013 <at> debbugs.gnu.org" <16013 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > GNUStep has some bugs w.r.t. the tool bar, so the values for GNUStep is as good as it gets.

As for the rest the main problem is this part in x_figure_window_size:

   /* This used to be done _before_ calling x_figure_window_size, but
      since the height is reset here, this was really a no-op.  I
      assume that moving it here does what Gerd intended (although he
      no longer can remember what that was...  ++KFS, 2003-03-25.  */

   /* Add the tool-bar height to the initial frame height so that the
      user gets a text display area of the size he specified with -g or
      via .Xdefaults.  Later changes of the tool-bar height don't
      change the frame size.  This is done so that users can create
      tall Emacs frames without having to guess how tall the tool-bar
      will get.  */
   if (toolbar_p && FRAME_TOOL_BAR_HEIGHT (f))
     {
       int margin, relief, bar_height;

       relief = (tool_bar_button_relief >= 0
		? tool_bar_button_relief
		: DEFAULT_TOOL_BAR_BUTTON_RELIEF);

       if (RANGED_INTEGERP (1, Vtool_bar_button_margin, INT_MAX))
	margin = XFASTINT (Vtool_bar_button_margin);
       else if (CONSP (Vtool_bar_button_margin)
	       && RANGED_INTEGERP (1, XCDR (Vtool_bar_button_margin), INT_MAX))
	margin = XFASTINT (XCDR (Vtool_bar_button_margin));
       else
	margin = 0;

       /* PXW: We should be able to not round here.  */
       bar_height = DEFAULT_TOOL_BAR_IMAGE_HEIGHT + 2 * margin + 2 * relief;
       FRAME_LINES (f) += (bar_height + FRAME_LINE_HEIGHT (f) - 1) / FRAME_LINE_HEIGHT (f);
     }

If I define it out, the sizes of the first and subsequent frames are
equal on Lucid.  IIUC x_figure_window_size is not called when changing
fonts or default heights.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 14 Jan 2014 17:31:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 14 12:31:04 2014
Received: from localhost ([127.0.0.1]:50608 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W37pP-0007Iz-J4
	for submit <at> debbugs.gnu.org; Tue, 14 Jan 2014 12:31:03 -0500
Received: from mailfe05.swip.net ([212.247.154.129]:34500 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1W37pM-0007IU-Gn
 for 16013 <at> debbugs.gnu.org; Tue, 14 Jan 2014 12:31:01 -0500
X-T2-Spam-Status: No, hits=0.8 required=5.0 tests=BAYES_50
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe05.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 464186789; Tue, 14 Jan 2014 18:30:58 +0100
Content-Type: text/plain; charset=iso-8859-1
Mime-Version: 1.0 (Mac OS X Mail 7.1 \(1827\))
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
From: =?iso-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <C8B9DC22-F152-42AE-B299-D52B32247AD2@HIDDEN>
Date: Tue, 14 Jan 2014 18:30:57 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <EBE00F3E-DB92-40DE-A48B-67B0524FBAAF@HIDDEN>
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
 <529B0519.3010902@HIDDEN> <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
 <529B1C71.9020707@HIDDEN> <F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>
 <529CCE48.9090404@HIDDEN> <F7B1AAD0-75DE-400A-B18D-E54A84060284@HIDDEN>
 <529D8F3E.30400@HIDDEN> <93EF122E-7EFC-4ACF-A216-E83981DD511A@HIDDEN>
 <529E2441.8030808@HIDDEN> <9E083836-7DF3-4AC3-8711-A0E4757C9691@HIDDEN>
 <01BCA22D-62F2-4F04-B14C-85452A9D1201@HIDDEN> <52D14EA5.9060900@HIDDEN>
 <52D18361.5050308@HIDDEN> <52D2663A.3020201@HIDDEN>
 <C8B9DC22-F152-42AE-B299-D52B32247AD2@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
X-Mailer: Apple Mail (2.1827)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: "16013 <at> debbugs.gnu.org" <16013 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hello.

12 jan 2014 kl. 12:13 skrev Jan Dj=E4rv <jan.h.d@HIDDEN>:

> Hello.
>=20
> 12 jan 2014 kl. 10:54 skrev martin rudalics <rudalics@HIDDEN>:
>=20
>>> Toolkit         Initial frame    Subsequent frame
>>> -------------------------------------------
>>> Gtk+ 2/Gtk+ 3     50/80              50/80
>>> Gnustep           50/80              49/80
>=20
> BTW NS on OSX is 50/80 for both cases, so the GNUStep value 49/50 is =
probably GNUStep specific, I'll check that.

GNUStep has some bugs w.r.t. the tool bar, so the values for GNUStep is =
as good as it gets.

	Jan D.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 12 Jan 2014 22:21:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 12 17:21:57 2014
Received: from localhost ([127.0.0.1]:48143 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W2TPo-0001HU-OX
	for submit <at> debbugs.gnu.org; Sun, 12 Jan 2014 17:21:57 -0500
Received: from mailfe01.swip.net ([212.247.154.1]:60076 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1W2TPm-0001HK-EZ
 for 16013 <at> debbugs.gnu.org; Sun, 12 Jan 2014 17:21:55 -0500
X-T2-Spam-Status: No, hits=0.0 required=5.0
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe01.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 471153402; Sun, 12 Jan 2014 23:21:50 +0100
Content-Type: text/plain; charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 7.1 \(1827\))
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
From: =?iso-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <jwvbnzhynfh.fsf-monnier+emacsbugs@HIDDEN>
Date: Sun, 12 Jan 2014 23:21:51 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <368F0382-87A6-47EE-80D7-3F36E636D82F@HIDDEN>
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
 <529B0519.3010902@HIDDEN> <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
 <529B1C71.9020707@HIDDEN> <F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>
 <529CCE48.9090404@HIDDEN> <F7B1AAD0-75DE-400A-B18D-E54A84060284@HIDDEN>
 <529D8F3E.30400@HIDDEN> <93EF122E-7EFC-4ACF-A216-E83981DD511A@HIDDEN>
 <529E2441.8030808@HIDDEN> <9E083836-7DF3-4AC3-8711-A0E4757C9691@HIDDEN>
 <01BCA22D-62F2-4F04-B14C-85452A9D1201@HIDDEN> <52D14EA5.9060900@HIDDEN>
 <52D18361.5050308@HIDDEN> <52D2663A.3020201@HIDDEN>
 <C8B9DC22-F152-42AE-B299-D52B32247AD2@HIDDEN>
 <jwvbnzhynfh.fsf-monnier+emacsbugs@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
X-Mailer: Apple Mail (2.1827)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: "16013 <at> debbugs.gnu.org" <16013 <at> debbugs.gnu.org>,
 martin rudalics <rudalics@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hello.

12 jan 2014 kl. 21:25 skrev Stefan Monnier <monnier@HIDDEN>:

>> If a user requests 50 lines he probably means 50 editable
>> lines, not 47.
>=20
> Right.  Of course, sometimes it's hard to do it right: if you first
> create the 50-lines frame and then enable tool-bar-mode, you may have
> a problem:
> - OT1H enabling tool-bar-mode shouldn't resize the frame.
> - OTOH if we don't resize the frame the resulting frame doesn't have =
50
>  lines any more.

Quite right.  I once proposed using an invisible frame as the first =
frame.  Then we would know if tool bar mode is on when creating the =
second frame.  But there was problems with debug-init and other things, =
so it came to nothing.

	Jan D.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 12 Jan 2014 20:25:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 12 15:25:55 2014
Received: from localhost ([127.0.0.1]:48094 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W2RbX-0006WX-Eo
	for submit <at> debbugs.gnu.org; Sun, 12 Jan 2014 15:25:55 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:52887)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1W2RbV-0006WP-5C
 for 16013 <at> debbugs.gnu.org; Sun, 12 Jan 2014 15:25:53 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av8EABK/CFFMCoyj/2dsb2JhbABEuzWDWRdzgh4BAQQBViMFCws0EhQYDSSIHgbBLZEKA4hhnBmBXoMV
X-IPAS-Result: Av8EABK/CFFMCoyj/2dsb2JhbABEuzWDWRdzgh4BAQQBViMFCws0EhQYDSSIHgbBLZEKA4hhnBmBXoMV
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; d="scan'208";a="44783029"
Received: from 76-10-140-163.dsl.teksavvy.com (HELO pastel.home)
 ([76.10.140.163])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 12 Jan 2014 15:25:52 -0500
Received: by pastel.home (Postfix, from userid 20848)
 id 6F10160321; Sun, 12 Jan 2014 15:25:52 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Jan =?windows-1252?Q?Dj=E4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
Message-ID: <jwvbnzhynfh.fsf-monnier+emacsbugs@HIDDEN>
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
 <529B0519.3010902@HIDDEN>
 <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
 <529B1C71.9020707@HIDDEN>
 <F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>
 <529CCE48.9090404@HIDDEN>
 <F7B1AAD0-75DE-400A-B18D-E54A84060284@HIDDEN>
 <529D8F3E.30400@HIDDEN>
 <93EF122E-7EFC-4ACF-A216-E83981DD511A@HIDDEN>
 <529E2441.8030808@HIDDEN>
 <9E083836-7DF3-4AC3-8711-A0E4757C9691@HIDDEN>
 <01BCA22D-62F2-4F04-B14C-85452A9D1201@HIDDEN>
 <52D14EA5.9060900@HIDDEN> <52D18361.5050308@HIDDEN>
 <52D2663A.3020201@HIDDEN>
 <C8B9DC22-F152-42AE-B299-D52B32247AD2@HIDDEN>
Date: Sun, 12 Jan 2014 15:25:52 -0500
In-Reply-To: <C8B9DC22-F152-42AE-B299-D52B32247AD2@HIDDEN> ("Jan
 =?windows-1252?Q?Dj=E4rv=22's?=
 message of "Sun, 12 Jan 2014 12:13:42 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 16013
Cc: "16013 <at> debbugs.gnu.org" <16013 <at> debbugs.gnu.org>,
 martin rudalics <rudalics@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> If a user requests 50 lines he probably means 50 editable
> lines, not 47.

Right.  Of course, sometimes it's hard to do it right: if you first
create the 50-lines frame and then enable tool-bar-mode, you may have
a problem:
- OT1H enabling tool-bar-mode shouldn't resize the frame.
- OTOH if we don't resize the frame the resulting frame doesn't have 50
  lines any more.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 12 Jan 2014 11:46:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 12 06:46:11 2014
Received: from localhost ([127.0.0.1]:47447 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W2JUZ-0007g9-7r
	for submit <at> debbugs.gnu.org; Sun, 12 Jan 2014 06:46:11 -0500
Received: from mout.gmx.net ([212.227.15.15]:65171)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1W2JUW-0007g1-LB
 for 16013 <at> debbugs.gnu.org; Sun, 12 Jan 2014 06:46:09 -0500
Received: from [62.47.40.118] ([62.47.40.118]) by mail.gmx.com (mrgmx001) with
 ESMTPSA (Nemesis) id 0M3zT0-1VAttF2Xx4-00rZcS for
 <16013 <at> debbugs.gnu.org>; Sun, 12 Jan 2014 12:46:07 +0100
Message-ID: <52D2807B.3090705@HIDDEN>
Date: Sun, 12 Jan 2014 12:46:03 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: =?ISO-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
 <529B0519.3010902@HIDDEN> <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
 <529B1C71.9020707@HIDDEN> <F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>
 <529CCE48.9090404@HIDDEN> <F7B1AAD0-75DE-400A-B18D-E54A84060284@HIDDEN>
 <529D8F3E.30400@HIDDEN> <93EF122E-7EFC-4ACF-A216-E83981DD511A@HIDDEN>
 <529E2441.8030808@HIDDEN> <9E083836-7DF3-4AC3-8711-A0E4757C9691@HIDDEN>
 <01BCA22D-62F2-4F04-B14C-85452A9D1201@HIDDEN> <52D14EA5.9060900@HIDDEN>
 <52D18361.5050308@HIDDEN> <52D2663A.3020201@HIDDEN>
 <C8B9DC22-F152-42AE-B299-D52B32247AD2@HIDDEN>
In-Reply-To: <C8B9DC22-F152-42AE-B299-D52B32247AD2@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:rxhVqrZOxU663844l120MjuUyiC6xrzyGo5X5692e55PEIvSjLs
 BoVOyG03AqERrZkcIooZb0taa2oxIJuM0LdTiRuOcXlK85S8actIM4xsuWPUR7PbM3L8Jwu
 b/M7grWl2SORrer1gZMt2eUpKzZz0cgrS/mI/D77IJC4sy60+aEdiSF7L8m6y5sJoINRM2K
 G9I4JMquZVciPtihLItTA==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: "16013 <at> debbugs.gnu.org" <16013 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > This has been inconsistent historically, i.e. Lucid/Motif/No toolkit counts differently than Gtk/NS.
 > I think the Gtk count makes more sense.  If a user requests 50 lines he probably means 50 editable lines, not 47.  So I think we should not count tool bar or menu bar.

I agree.  Obviously, the fact that initial and subsequent frames have
different heights is a bug per se but I wanted a directive in either
direction.

 > The documentation says
 > "The height of the frame contents, in characters."
 > I don't think menu and tool bar is content.
 >
 > This may break some lisp code that counts lines and does it differently for the two cases.  I don't know if there are any such code though.
 >
 > BTW what values does the frame parameter height have now that pixelwise resize may show partial lines?  A floating point value?

No.  It's calculated thusly

   height = (f->new_height
	    ? (f->new_pixelwise
	       ? (f->new_height / FRAME_LINE_HEIGHT (f))
	       : f->new_height)
	    : FRAME_LINES (f));
   store_in_alist (&alist, Qheight, make_number (height));

so it's rounded down.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 12 Jan 2014 11:13:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 12 06:13:47 2014
Received: from localhost ([127.0.0.1]:47422 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W2IzC-0006dk-VW
	for submit <at> debbugs.gnu.org; Sun, 12 Jan 2014 06:13:47 -0500
Received: from mailfe04.swip.net ([212.247.154.97]:41622 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1W2IzA-0006db-EK
 for 16013 <at> debbugs.gnu.org; Sun, 12 Jan 2014 06:13:45 -0500
X-T2-Spam-Status: No, hits=0.8 required=5.0 tests=BAYES_50
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe04.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 466647595; Sun, 12 Jan 2014 12:13:42 +0100
Content-Type: text/plain; charset=iso-8859-1
Mime-Version: 1.0 (Mac OS X Mail 7.1 \(1827\))
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
From: =?iso-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <52D2663A.3020201@HIDDEN>
Date: Sun, 12 Jan 2014 12:13:42 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <C8B9DC22-F152-42AE-B299-D52B32247AD2@HIDDEN>
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
 <529B0519.3010902@HIDDEN> <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
 <529B1C71.9020707@HIDDEN> <F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>
 <529CCE48.9090404@HIDDEN> <F7B1AAD0-75DE-400A-B18D-E54A84060284@HIDDEN>
 <529D8F3E.30400@HIDDEN> <93EF122E-7EFC-4ACF-A216-E83981DD511A@HIDDEN>
 <529E2441.8030808@HIDDEN> <9E083836-7DF3-4AC3-8711-A0E4757C9691@HIDDEN>
 <01BCA22D-62F2-4F04-B14C-85452A9D1201@HIDDEN> <52D14EA5.9060900@HIDDEN>
 <52D18361.5050308@HIDDEN> <52D2663A.3020201@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
X-Mailer: Apple Mail (2.1827)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: "16013 <at> debbugs.gnu.org" <16013 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hello.

12 jan 2014 kl. 10:54 skrev martin rudalics <rudalics@HIDDEN>:

> > Toolkit         Initial frame    Subsequent frame
> > -------------------------------------------
> > Gtk+ 2/Gtk+ 3     50/80              50/80
> > Gnustep           50/80              49/80

BTW NS on OSX is 50/80 for both cases, so the GNUStep value 49/50 is =
probably GNUStep specific, I'll check that.

> > Lucid             50/80              53/80  (Toolbar 3 lines).
> > Motif             50/80              53/80  (Toolbar 3 lines).
> > No toolkit        50/80              53/80  (Toolbar 3 lines, menu =
bar
> > is 1)
> >
> > Columns are correct in all cases so that is progress.
> > Rows correct only for Gtk.
> > Values for Lucid/Motif is with toolbar, i.e. there are 47 lines
> > excluding toolbar for Lucid/Motif on initial fra,e. Ditto for no =
toolkit
> > + 1 menu bar line.
> >
> >
> > Looks like toolbar is counted on initial frame, but not on =
subsequent
> > frames for Lucid/Motif/No toolkit.
>=20
> I'm still too silly to understand.  Should the initial frame have 53
> rows (maybe 54 for the non-toolkit version) or should the subsequent
> frames all have 50 rows?
>=20
> I frequently asked on this list what `frame-height' and especially the
> "number of lines available for display" stands for, but never got an
> answer I could understand.


This has been inconsistent historically, i.e. Lucid/Motif/No toolkit =
counts differently than Gtk/NS.
I think the Gtk count makes more sense.  If a user requests 50 lines he =
probably means 50 editable lines, not 47.  So I think we should not =
count tool bar or menu bar.
The documentation says
"The height of the frame contents, in characters."
I don't think menu and tool bar is content.

This may break some lisp code that counts lines and does it differently =
for the two cases.  I don't know if there are any such code though.

BTW what values does the frame parameter height have now that pixelwise =
resize may show partial lines?  A floating point value?

	Jan D.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 12 Jan 2014 09:54:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 12 04:54:11 2014
Received: from localhost ([127.0.0.1]:47381 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W2HkA-0004M7-Gk
	for submit <at> debbugs.gnu.org; Sun, 12 Jan 2014 04:54:10 -0500
Received: from mout.gmx.net ([212.227.15.19]:64516)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1W2Hk7-0004Lx-Vq
 for 16013 <at> debbugs.gnu.org; Sun, 12 Jan 2014 04:54:08 -0500
Received: from [62.47.40.118] ([62.47.40.118]) by mail.gmx.com (mrgmx002) with
 ESMTPSA (Nemesis) id 0LoVBq-1VQV0f0WL4-00gUB1 for
 <16013 <at> debbugs.gnu.org>; Sun, 12 Jan 2014 10:54:07 +0100
Message-ID: <52D2663A.3020201@HIDDEN>
Date: Sun, 12 Jan 2014 10:54:02 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: =?ISO-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
 <529B0519.3010902@HIDDEN> <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
 <529B1C71.9020707@HIDDEN> <F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>
 <529CCE48.9090404@HIDDEN> <F7B1AAD0-75DE-400A-B18D-E54A84060284@HIDDEN>
 <529D8F3E.30400@HIDDEN> <93EF122E-7EFC-4ACF-A216-E83981DD511A@HIDDEN>
 <529E2441.8030808@HIDDEN> <9E083836-7DF3-4AC3-8711-A0E4757C9691@HIDDEN>
 <01BCA22D-62F2-4F04-B14C-85452A9D1201@HIDDEN> <52D14EA5.9060900@HIDDEN>
 <52D18361.5050308@HIDDEN>
In-Reply-To: <52D18361.5050308@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:uuusX+hioic85AlhodNalStiBTDF8aTC/RUoDc7cyIEXDo7OP7Z
 hBh4bBtDcaKp9DwgarXYQQ0m5KS1NrRU7CtIKbO555Q4YQcn1fnmKDtGQeqxgPk70KZIarW
 sN6WU8365rYCqVjtKaOwiiv1vTGHoGM/x5V9LeDF6v2EliohohQDIR244bL39UqaFpFMglC
 YrAv6KaNTL+/3xqaner9w==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: "16013 <at> debbugs.gnu.org" <16013 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > Toolkit         Initial frame    Subsequent frame
 > -------------------------------------------
 > Gtk+ 2/Gtk+ 3     50/80              50/80
 > Gnustep           50/80              49/80
 > Lucid             50/80              53/80  (Toolbar 3 lines).
 > Motif             50/80              53/80  (Toolbar 3 lines).
 > No toolkit        50/80              53/80  (Toolbar 3 lines, menu bar
 > is 1)
 >
 > Columns are correct in all cases so that is progress.
 > Rows correct only for Gtk.
 > Values for Lucid/Motif is with toolbar, i.e. there are 47 lines
 > excluding toolbar for Lucid/Motif on initial fra,e. Ditto for no toolkit
 > + 1 menu bar line.
 >
 >
 > Looks like toolbar is counted on initial frame, but not on subsequent
 > frames for Lucid/Motif/No toolkit.

I'm still too silly to understand.  Should the initial frame have 53
rows (maybe 54 for the non-toolkit version) or should the subsequent
frames all have 50 rows?

I frequently asked on this list what `frame-height' and especially the
"number of lines available for display" stands for, but never got an
answer I could understand.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 11 Jan 2014 17:46:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 11 12:46:17 2014
Received: from localhost ([127.0.0.1]:47013 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W22dU-0002Cg-S3
	for submit <at> debbugs.gnu.org; Sat, 11 Jan 2014 12:46:17 -0500
Received: from mailfe01.swip.net ([212.247.154.1]:54262 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1W22dQ-0002CQ-Do
 for 16013 <at> debbugs.gnu.org; Sat, 11 Jan 2014 12:46:13 -0500
X-T2-Spam-Status: No, hits=0.8 required=5.0 tests=BAYES_50
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe01.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 470930597; Sat, 11 Jan 2014 18:46:09 +0100
Message-ID: <52D18361.5050308@HIDDEN>
Date: Sat, 11 Jan 2014 18:46:09 +0100
From: =?ISO-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:24.0) Gecko/20100101 Thunderbird/24.2.0
MIME-Version: 1.0
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
 <529B0519.3010902@HIDDEN> <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
 <529B1C71.9020707@HIDDEN> <F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>
 <529CCE48.9090404@HIDDEN> <F7B1AAD0-75DE-400A-B18D-E54A84060284@HIDDEN>
 <529D8F3E.30400@HIDDEN> <93EF122E-7EFC-4ACF-A216-E83981DD511A@HIDDEN>
 <529E2441.8030808@HIDDEN> <9E083836-7DF3-4AC3-8711-A0E4757C9691@HIDDEN>
 <01BCA22D-62F2-4F04-B14C-85452A9D1201@HIDDEN> <52D14EA5.9060900@HIDDEN>
In-Reply-To: <52D14EA5.9060900@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: "16013 <at> debbugs.gnu.org" <16013 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

2014-01-11 15:01, martin rudalics skrev:
>> Some more info:
>>
>> Lucid/Motif: 46 rows, 74 columns on initial frame,
>>             50 rows, 80 columns on subsequent frames.
>>
>> No toolkit: 45 rows, 68 columns on initial frame,
>>                  47 rows, 75 columns on subsequent frames.
>>
>> Gtk+3 and 2: 49 rows, 80 columns on initial frame.
>>                 49 rows, 80 columns on subsequent frames.
>
> What is the status of this?  Do you still get inconsistent results?

Yes:

Toolkit         Initial frame    Subsequent frame
-------------------------------------------
Gtk+ 2/Gtk+ 3     50/80              50/80
Gnustep           50/80              49/80
Lucid             50/80              53/80  (Toolbar 3 lines).
Motif             50/80              53/80  (Toolbar 3 lines).
No toolkit        50/80              53/80  (Toolbar 3 lines, menu bar is 1)

Columns are correct in all cases so that is progress.
Rows correct only for Gtk.
Values for Lucid/Motif is with toolbar, i.e. there are 47 lines excluding 
toolbar for Lucid/Motif on initial fra,e. Ditto for no toolkit + 1 menu bar line.


Looks like toolbar is counted on initial frame, but not on subsequent frames 
for Lucid/Motif/No toolkit.

	Jan D.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 11 Jan 2014 14:01:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 11 09:01:16 2014
Received: from localhost ([127.0.0.1]:46300 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W1z7k-0002tQ-F6
	for submit <at> debbugs.gnu.org; Sat, 11 Jan 2014 09:01:16 -0500
Received: from mout.gmx.net ([212.227.15.18]:54066)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1W1z7i-0002tE-F1
 for 16013 <at> debbugs.gnu.org; Sat, 11 Jan 2014 09:01:15 -0500
Received: from [62.47.39.200] ([62.47.39.200]) by mail.gmx.com (mrgmx102) with
 ESMTPSA (Nemesis) id 0LtlG5-1VKuc8133d-011EUz for
 <16013 <at> debbugs.gnu.org>; Sat, 11 Jan 2014 15:01:13 +0100
Message-ID: <52D14EA5.9060900@HIDDEN>
Date: Sat, 11 Jan 2014 15:01:09 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: =?ISO-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
 <529B0519.3010902@HIDDEN> <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
 <529B1C71.9020707@HIDDEN> <F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>
 <529CCE48.9090404@HIDDEN> <F7B1AAD0-75DE-400A-B18D-E54A84060284@HIDDEN>
 <529D8F3E.30400@HIDDEN> <93EF122E-7EFC-4ACF-A216-E83981DD511A@HIDDEN>
 <529E2441.8030808@HIDDEN> <9E083836-7DF3-4AC3-8711-A0E4757C9691@HIDDEN>
 <01BCA22D-62F2-4F04-B14C-85452A9D1201@HIDDEN>
In-Reply-To: <01BCA22D-62F2-4F04-B14C-85452A9D1201@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:2wKvYJ9+SEumOwNWcsgh007+f5EU+sPzLR2rCSBEunFS70vSTBu
 3mfyAd+eVoV4855hr1HzSzcSV1hbdpDTQaz7uL+h/knCx+Fn4X+MIiHApbc0o7r1uMMt2O1
 X+v3PaV9qPOqXlgU3PWZUXGQ02q3nn9vSg0rjQk/n0tKcOves8qsLr5eRAIut7Mk9m/2TX8
 OZEvdfZvbebYpDmyBhTLA==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: "16013 <at> debbugs.gnu.org" <16013 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

> Some more info:
> 
> Lucid/Motif: 46 rows, 74 columns on initial frame,
>             50 rows, 80 columns on subsequent frames.
> 
> No toolkit: 45 rows, 68 columns on initial frame,
>                  47 rows, 75 columns on subsequent frames.
> 
> Gtk+3 and 2: 49 rows, 80 columns on initial frame.
>                 49 rows, 80 columns on subsequent frames.

What is the status of this?  Do you still get inconsistent results?

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 9 Dec 2013 18:36:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 09 13:36:00 2013
Received: from localhost ([127.0.0.1]:40520 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vq5gV-0002Yu-Bh
	for submit <at> debbugs.gnu.org; Mon, 09 Dec 2013 13:35:59 -0500
Received: from mout.gmx.net ([212.227.17.22]:63440)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1Vq5gS-0002Yl-0a
 for 16013 <at> debbugs.gnu.org; Mon, 09 Dec 2013 13:35:57 -0500
Received: from [62.47.60.229] ([62.47.60.229]) by mail.gmx.com (mrgmx003) with
 ESMTPSA (Nemesis) id 0MI4yc-1Vqd761aMo-003wbp for
 <16013 <at> debbugs.gnu.org>; Mon, 09 Dec 2013 19:35:54 +0100
Message-ID: <52A60B5E.5020603@HIDDEN>
Date: Mon, 09 Dec 2013 19:26:38 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: =?ISO-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
 <529B0519.3010902@HIDDEN> <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
 <529B1C71.9020707@HIDDEN> <F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>
 <529CCE48.9090404@HIDDEN> <F7B1AAD0-75DE-400A-B18D-E54A84060284@HIDDEN>
 <529D8F3E.30400@HIDDEN> <93EF122E-7EFC-4ACF-A216-E83981DD511A@HIDDEN>
 <529E2441.8030808@HIDDEN> <9E083836-7DF3-4AC3-8711-A0E4757C9691@HIDDEN>
 <01BCA22D-62F2-4F04-B14C-85452A9D1201@HIDDEN> <529F6F22.4020803@HIDDEN>
 <52A36085.4000608@HIDDEN>
In-Reply-To: <52A36085.4000608@HIDDEN>
Content-Type: multipart/mixed; boundary="------------030207070608000205050309"
X-Provags-ID: V03:K0:dssIIBe1qJ+XdsWPOhG7F1l2GHzifxg21vmBod+p2s6QcYRJSkw
 nlz7GOjPAioaNa/asw+23e/1hH2PkAEq4CZ4WRpZbZjXcyF8cGDQ6kNbQVGx1lMcEeSsjO0
 AAPXHV9v5pX/HR+H5H98pvdL8WImQC78U6p1pJOHedBdAtmBDsxTW0iy/n2Xl4YrY90P89E
 SVNnK2as+VqnUIr4E5rHA==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: "16013 <at> debbugs.gnu.org" <16013 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

This is a multi-part message in MIME format.
--------------030207070608000205050309
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit

I now managed to get the correct number of lines here with
the attached patch.  Tested with GTK3, Lucid and without
xtoolkit.  Not tested with Motif.  Please have a look.

Thanks, martin


--------------030207070608000205050309
Content-Type: text/plain;
 name="frame-height.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
 filename="frame-height.diff"

martin@NOREST:~/emacs/quickfixes$ bzr diff
=== modified file 'src/dispnew.c'
--- src/dispnew.c	2013-11-30 09:25:31 +0000
+++ src/dispnew.c	2013-12-09 10:20:26 +0000
@@ -5535,6 +5535,10 @@
 	 manipulating video hardware.  */
       if ((FRAME_TERMCAP_P (f) && !pretend) || FRAME_MSDOS_P (f))
 	FrameRows (FRAME_TTY (f)) = new_height;
+
+      FRAME_LINES (f) = new_lines;
+      FRAME_TEXT_HEIGHT (f) = new_text_height;
+      FRAME_PIXEL_HEIGHT (f) = FRAME_TEXT_TO_PIXEL_HEIGHT (f, new_text_height);
     }

   if (new_text_width != FRAME_TEXT_WIDTH (f)
@@ -5547,6 +5551,10 @@
       if ((FRAME_TERMCAP_P (f) && !pretend) || FRAME_MSDOS_P (f))
 	FrameCols (FRAME_TTY (f)) = new_cols;

+      SET_FRAME_COLS (f, new_cols);
+      FRAME_TEXT_WIDTH (f) = new_text_width;
+      FRAME_PIXEL_WIDTH (f) = FRAME_TEXT_TO_PIXEL_WIDTH (f, new_text_width);
+
 #if defined (HAVE_WINDOW_SYSTEM) && ! defined (USE_GTK) && ! defined (HAVE_NS)
       if (WINDOWP (f->tool_bar_window))
 	{
@@ -5556,13 +5564,6 @@
 #endif
     }

-  SET_FRAME_COLS (f, new_cols);
-  FRAME_LINES (f) = new_lines;
-  FRAME_TEXT_WIDTH (f) = new_text_width;
-  FRAME_TEXT_HEIGHT (f) = new_text_height;
-  FRAME_PIXEL_WIDTH (f) = FRAME_TEXT_TO_PIXEL_WIDTH (f, new_text_width);
-  FRAME_PIXEL_HEIGHT (f) = FRAME_TEXT_TO_PIXEL_HEIGHT (f, new_text_height);
-
   {
     struct window *w = XWINDOW (FRAME_SELECTED_WINDOW (f));
     int text_area_x, text_area_y, text_area_width, text_area_height;

=== modified file 'src/window.c'
--- src/window.c	2013-12-08 03:07:11 +0000
+++ src/window.c	2013-12-09 17:25:35 +0000
@@ -4056,7 +4056,8 @@
   r->top_line = FRAME_TOP_MARGIN (f);
   r->pixel_top = FRAME_TOP_MARGIN_HEIGHT (f);

-  if (new_pixel_size == old_pixel_size)
+  if (new_pixel_size == old_pixel_size
+      && XWINDOW (mini)->pixel_height == FRAME_LINE_HEIGHT (f))
     return;
   else if (WINDOW_LEAF_P (r))
     /* For a leaf root window just set the size.  */

=== modified file 'src/xfns.c'
--- src/xfns.c	2013-12-03 17:22:05 +0000
+++ src/xfns.c	2013-12-09 17:34:22 +0000
@@ -3069,7 +3069,6 @@
      happen.  */
   init_frame_faces (f);

-#ifdef USE_GTK
   /* PXW: This is a duplicate from below.  We have to do it here since
      otherwise x_set_tool_bar_lines will work with the character sizes
      installed by init_frame_faces while the frame's pixel size is still
@@ -3078,12 +3077,8 @@
      non-pixelwise code apparently worked around this because it had one
      frame line vs one toolbar line which left us with a zero root
      window height which was obviously wrong as well ...  */
-  width = FRAME_TEXT_WIDTH (f);
-  height = FRAME_TEXT_HEIGHT (f);
-  FRAME_TEXT_HEIGHT (f) = 0;
-  SET_FRAME_WIDTH (f, 0);
-  change_frame_size (f, width, height, 1, 0, 0, 1);
-#endif /* USE_GTK */
+  change_frame_size (f, FRAME_COLS (f) * FRAME_COLUMN_WIDTH (f),
+		     FRAME_LINES (f) * FRAME_LINE_HEIGHT (f), 1, 0, 0, 1);

   /* Set the menu-bar-lines and tool-bar-lines parameters.  We don't
      look up the X resources controlling the menu-bar and tool-bar

=== modified file 'src/xterm.c'
--- src/xterm.c	2013-12-07 23:04:10 +0000
+++ src/xterm.c	2013-12-09 17:39:28 +0000
@@ -6622,8 +6622,8 @@
               cancel_mouse_face (f);
             }

-          FRAME_PIXEL_WIDTH (f) = event->xconfigure.width;
-          FRAME_PIXEL_HEIGHT (f) = event->xconfigure.height;
+/**           FRAME_PIXEL_WIDTH (f) = event->xconfigure.width; **/
+/**           FRAME_PIXEL_HEIGHT (f) = event->xconfigure.height; **/
 #endif /* not USE_GTK */
 #endif

@@ -7689,6 +7689,9 @@
   FRAME_COLUMN_WIDTH (f) = font->average_width;
   FRAME_LINE_HEIGHT (f) = FONT_HEIGHT (font);

+  FRAME_TOOL_BAR_HEIGHT (f) = FRAME_TOOL_BAR_LINES (f) * FRAME_LINE_HEIGHT (f);
+  FRAME_MENU_BAR_HEIGHT (f) = FRAME_MENU_BAR_LINES (f) * FRAME_LINE_HEIGHT (f);
+
   compute_fringe_widths (f, 1);

   /* Compute the scroll bar width in character columns.  */
@@ -8541,13 +8544,15 @@

   compute_fringe_widths (f, 0);

-  pixelwidth =
-    (pixelwise ? width : FRAME_TEXT_COLS_TO_PIXEL_WIDTH (f, width))
-    + FRAME_TOOLBAR_WIDTH (f);
-  pixelheight =
-    (pixelwise ? height : FRAME_TEXT_LINES_TO_PIXEL_HEIGHT (f, height))
-    + FRAME_MENUBAR_HEIGHT (f) + FRAME_TOOLBAR_HEIGHT (f);
-
+  pixelwidth = ((pixelwise
+		 ? FRAME_TEXT_TO_PIXEL_WIDTH (f, width)
+		 : FRAME_TEXT_COLS_TO_PIXEL_WIDTH (f, width))
+		+ FRAME_TOOLBAR_WIDTH (f));
+  pixelheight = ((pixelwise
+		  ? FRAME_TEXT_TO_PIXEL_HEIGHT (f, height)
+		  : FRAME_TEXT_LINES_TO_PIXEL_HEIGHT (f, height))
+		 + FRAME_MENUBAR_HEIGHT (f)
+		 + FRAME_TOOLBAR_HEIGHT (f));
   if (change_gravity) f->win_gravity = NorthWestGravity;
   x_wm_set_size_hint (f, (long) 0, 0);
   XResizeWindow (FRAME_X_DISPLAY (f), FRAME_OUTER_WINDOW (f),
@@ -8582,8 +8587,6 @@
   else
     {
       change_frame_size (f, width, height, 0, 1, 0, 1);
-      FRAME_PIXEL_WIDTH (f) = pixelwidth;
-      FRAME_PIXEL_HEIGHT (f) = pixelheight;
       x_sync (f);
     }
 }

martin@NOREST:~/emacs/quickfixes$ 

--------------030207070608000205050309--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 7 Dec 2013 18:09:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 07 13:09:31 2013
Received: from localhost ([127.0.0.1]:36831 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VpMJl-0007R9-QQ
	for submit <at> debbugs.gnu.org; Sat, 07 Dec 2013 13:09:30 -0500
Received: from mout.gmx.net ([212.227.15.15]:63259)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1VpMJj-0007Qy-4h
 for 16013 <at> debbugs.gnu.org; Sat, 07 Dec 2013 13:09:27 -0500
Received: from [62.47.46.64] ([62.47.46.64]) by mail.gmx.com (mrgmx102) with
 ESMTPSA (Nemesis) id 0MTMzb-1VyKSf15Hz-00SR0z for <16013 <at> debbugs.gnu.org>;
 Sat, 07 Dec 2013 19:09:26 +0100
Message-ID: <52A36451.50200@HIDDEN>
Date: Sat, 07 Dec 2013 19:09:21 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: =?ISO-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
 <529B0519.3010902@HIDDEN> <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
 <529B1C71.9020707@HIDDEN> <F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>
 <529CCE48.9090404@HIDDEN> <F7B1AAD0-75DE-400A-B18D-E54A84060284@HIDDEN>
 <529D8F3E.30400@HIDDEN> <93EF122E-7EFC-4ACF-A216-E83981DD511A@HIDDEN>
 <529E2441.8030808@HIDDEN> <9E083836-7DF3-4AC3-8711-A0E4757C9691@HIDDEN>
 <01BCA22D-62F2-4F04-B14C-85452A9D1201@HIDDEN> <529F6F22.4020803@HIDDEN>
 <52A36085.4000608@HIDDEN>
In-Reply-To: <52A36085.4000608@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:K5X3sEb+pfUZ0g26TYK5s8OdpPDJAFFGG2nXJbTjoIAWyjl4XEV
 dlVnXNN0NB0NM/DaJ4M0c2nNeGuTlcq73aTN6wSZKG4ALetlmP9WlEMOVtoqeJ60F+Cr8vW
 CmQPXgXiuQa/aTHOyuDmLzKuqN8Jupdbnu/SutkFJ5r1tnbxtiP+hZhBaKm9UQgsTjcXvTa
 Ob3Z20FQF3zGTWI9GNmUQ==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: "16013 <at> debbugs.gnu.org" <16013 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > livXaw is needed.

libXaw I presume.  Built already.

 >>  > No toolkit: 45 rows, 68 columns on initial frame,
 >>  >                  47 rows, 75 columns on subsequent frames.
 >>
 >> This can be fixed here using the attached patch.  But with a frame width
 >> of 60 the echo area should resize but disappears on the initial frame.
 >> I don't yet know why.
 >
 > You should check in the patch.

Not yet.  I somehow don't add/subtract the "top margin" correctly.

 >>  > Gtk+3 and 2: 49 rows, 80 columns on initial frame.
 >>  >                 49 rows, 80 columns on subsequent frames.
 >>
 >
 > I found the last line for Gtk+.  But it is a bit dependent on the window
 > manager as size hints come into play.

I never lost it with xfce ;-)

Thanks, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 7 Dec 2013 17:53:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 07 12:53:15 2013
Received: from localhost ([127.0.0.1]:36814 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VpM43-00073A-5x
	for submit <at> debbugs.gnu.org; Sat, 07 Dec 2013 12:53:15 -0500
Received: from mailfe07.swip.net ([212.247.154.193]:53816 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1VpM40-00072z-J3
 for 16013 <at> debbugs.gnu.org; Sat, 07 Dec 2013 12:53:13 -0500
X-T2-Spam-Status: No, hits=0.0 required=5.0
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe07.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 458447471; Sat, 07 Dec 2013 18:53:10 +0100
Message-ID: <52A36085.4000608@HIDDEN>
Date: Sat, 07 Dec 2013 18:53:09 +0100
From: =?ISO-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:24.0) Gecko/20100101 Thunderbird/24.1.1
MIME-Version: 1.0
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
 <529B0519.3010902@HIDDEN> <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
 <529B1C71.9020707@HIDDEN> <F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>
 <529CCE48.9090404@HIDDEN> <F7B1AAD0-75DE-400A-B18D-E54A84060284@HIDDEN>
 <529D8F3E.30400@HIDDEN> <93EF122E-7EFC-4ACF-A216-E83981DD511A@HIDDEN>
 <529E2441.8030808@HIDDEN> <9E083836-7DF3-4AC3-8711-A0E4757C9691@HIDDEN>
 <01BCA22D-62F2-4F04-B14C-85452A9D1201@HIDDEN> <529F6F22.4020803@HIDDEN>
In-Reply-To: <529F6F22.4020803@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: "16013 <at> debbugs.gnu.org" <16013 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

2013-12-04 19:06, martin rudalics skrev:
>  > Lucid/Motif: 46 rows, 74 columns on initial frame,
>  >             50 rows, 80 columns on subsequent frames.
>
> I don't know which libraries are needed to build with Lucid.  I
> installed open motif libraries but the build script doesn't appreciate
> them.  So I can't test these here.  At least the "subsequent frames"
> look correct.

livXaw is needed.

>
>  > No toolkit: 45 rows, 68 columns on initial frame,
>  >                  47 rows, 75 columns on subsequent frames.
>
> This can be fixed here using the attached patch.  But with a frame width
> of 60 the echo area should resize but disappears on the initial frame.
> I don't yet know why.

You should check in the patch.

>
>  > Gtk+3 and 2: 49 rows, 80 columns on initial frame.
>  >                 49 rows, 80 columns on subsequent frames.
>

I found the last line for Gtk+.  But it is a bit dependent on the window 
manager as size hints come into play.

	Jan D.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 4 Dec 2013 18:06:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 04 13:06:39 2013
Received: from localhost ([127.0.0.1]:58297 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VoGqM-0004zm-Rs
	for submit <at> debbugs.gnu.org; Wed, 04 Dec 2013 13:06:39 -0500
Received: from mout.gmx.net ([212.227.15.18]:57337)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1VoGqK-0004zc-OQ
 for 16013 <at> debbugs.gnu.org; Wed, 04 Dec 2013 13:06:37 -0500
Received: from [62.47.56.60] ([62.47.56.60]) by mail.gmx.com (mrgmx103) with
 ESMTPSA (Nemesis) id 0LjquD-1VCj6A3yFF-00bsTN for <16013 <at> debbugs.gnu.org>;
 Wed, 04 Dec 2013 19:06:36 +0100
Message-ID: <529F6F22.4020803@HIDDEN>
Date: Wed, 04 Dec 2013 19:06:26 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: =?ISO-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
 <529B0519.3010902@HIDDEN> <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
 <529B1C71.9020707@HIDDEN> <F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>
 <529CCE48.9090404@HIDDEN> <F7B1AAD0-75DE-400A-B18D-E54A84060284@HIDDEN>
 <529D8F3E.30400@HIDDEN> <93EF122E-7EFC-4ACF-A216-E83981DD511A@HIDDEN>
 <529E2441.8030808@HIDDEN> <9E083836-7DF3-4AC3-8711-A0E4757C9691@HIDDEN>
 <01BCA22D-62F2-4F04-B14C-85452A9D1201@HIDDEN>
In-Reply-To: <01BCA22D-62F2-4F04-B14C-85452A9D1201@HIDDEN>
Content-Type: multipart/mixed; boundary="------------070803040809040404060501"
X-Provags-ID: V03:K0:4jglNkzR+gadiY9KoK7/jVPKAue7m93+dStruudZYPCLET9GmFi
 VypYajAZuiedF9TY88avxfL8F3RIuOFnQuMfsYQIeVJWL2bq0r/lPlR3Pi7ccYbbe9tquSr
 qLVhrj6cjL7b4LXRi6e6PxGgkp3f/yz8/rOPnZwSaiESMMkGTG6iAkCg4q0lAe8hazpqTvT
 NTS256ifCMWN25HVypESA==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: "16013 <at> debbugs.gnu.org" <16013 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

This is a multi-part message in MIME format.
--------------070803040809040404060501
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit

 > Lucid/Motif: 46 rows, 74 columns on initial frame,
 >             50 rows, 80 columns on subsequent frames.

I don't know which libraries are needed to build with Lucid.  I
installed open motif libraries but the build script doesn't appreciate
them.  So I can't test these here.  At least the "subsequent frames"
look correct.

 > No toolkit: 45 rows, 68 columns on initial frame,
 >                  47 rows, 75 columns on subsequent frames.

This can be fixed here using the attached patch.  But with a frame width
of 60 the echo area should resize but disappears on the initial frame.
I don't yet know why.

 > Gtk+3 and 2: 49 rows, 80 columns on initial frame.
 >                 49 rows, 80 columns on subsequent frames.

martin

--------------070803040809040404060501
Content-Type: text/plain;
 name="x_set_frame_size.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
 filename="x_set_frame_size.diff"

=== modified file 'src/xterm.c'
--- src/xterm.c	2013-12-03 11:33:13 +0000
+++ src/xterm.c	2013-12-04 16:37:35 +0000
@@ -8552,12 +8552,15 @@
 
   compute_fringe_widths (f, 0);
 
-  pixelwidth =
-    (pixelwise ? width : FRAME_TEXT_COLS_TO_PIXEL_WIDTH (f, width))
-    + FRAME_TOOLBAR_WIDTH (f);
-  pixelheight =
-    (pixelwise ? height : FRAME_TEXT_LINES_TO_PIXEL_HEIGHT (f, height))
-    + FRAME_MENUBAR_HEIGHT (f) + FRAME_TOOLBAR_HEIGHT (f);
+  pixelwidth = ((pixelwise
+		 ? FRAME_TEXT_TO_PIXEL_WIDTH (f, width)
+		 : FRAME_TEXT_COLS_TO_PIXEL_WIDTH (f, width))
+		+ FRAME_TOOLBAR_WIDTH (f));
+  pixelheight = ((pixelwise
+		  ? FRAME_TEXT_TO_PIXEL_HEIGHT (f, height)
+		  : FRAME_TEXT_LINES_TO_PIXEL_HEIGHT (f, height))
+		 + FRAME_MENUBAR_HEIGHT (f)
+		 + FRAME_TOOLBAR_HEIGHT (f));
 
   if (change_gravity) f->win_gravity = NorthWestGravity;
   x_wm_set_size_hint (f, (long) 0, 0);
@@ -8593,8 +8596,6 @@
   else
     {
       change_frame_size (f, width, height, 0, 1, 0, 1);
-      FRAME_PIXEL_WIDTH (f) = pixelwidth;
-      FRAME_PIXEL_HEIGHT (f) = pixelheight;
       x_sync (f);
     }
 }


--------------070803040809040404060501--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 4 Dec 2013 18:06:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 04 13:06:19 2013
Received: from localhost ([127.0.0.1]:58294 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VoGq3-0004z4-7p
	for submit <at> debbugs.gnu.org; Wed, 04 Dec 2013 13:06:19 -0500
Received: from mout.gmx.net ([212.227.17.22]:50564)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1VoGq0-0004yu-57
 for 16013 <at> debbugs.gnu.org; Wed, 04 Dec 2013 13:06:17 -0500
Received: from [62.47.56.60] ([62.47.56.60]) by mail.gmx.com (mrgmx101) with
 ESMTPSA (Nemesis) id 0MOjMY-1ViEQC2902-0063Vy for <16013 <at> debbugs.gnu.org>;
 Wed, 04 Dec 2013 19:06:14 +0100
Message-ID: <529F6F0C.4010301@HIDDEN>
Date: Wed, 04 Dec 2013 19:06:04 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: =?ISO-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
 <529B0519.3010902@HIDDEN> <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
 <529B1C71.9020707@HIDDEN> <F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>
 <529CCE48.9090404@HIDDEN> <F7B1AAD0-75DE-400A-B18D-E54A84060284@HIDDEN>
 <529D8F3E.30400@HIDDEN> <93EF122E-7EFC-4ACF-A216-E83981DD511A@HIDDEN>
 <529E2441.8030808@HIDDEN> <9E083836-7DF3-4AC3-8711-A0E4757C9691@HIDDEN>
In-Reply-To: <9E083836-7DF3-4AC3-8711-A0E4757C9691@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:p/nb2HXh+fMwZ6vDnJfPWyZI/5Ch2mQiXOuv6NF2QET+iJW6obW
 JIUkwA0AlxQBm/Dr/4ee8S95ZhScZCNNYFDYeEbqztX8i2OHdlTElzc+yqCVb+HoP02ZiOD
 9OuuGUytdqIvDSqHCQNxpkyZhKuBRtt3Klf0cKqP+QCk0QjhiBXpSRIiuS6OxwD1Eb7tYP9
 g/NzuEnoJ0rMnB0NcW3iw==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: "16013 <at> debbugs.gnu.org" <16013 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > I now get 49 rows.  That is the same I get with 24.3.

Interesting.  50 rows are too large for my frame so I test with 30 rows
and 60 columns.  In this case I get what I specified.  Which are the
values passed to gtk_window_resize on your system?

 >> Unfortunately a second frame still sometimes gets three rows less.  In
 >> this regard the behavior here is the same as with 24.3.  Any ideas?
 >
 > I don't see this in the trunk or 24.3.  Rows are consistently 49.

Here the height decreases to 27 in, on the average, every second frame I
create via C-x 5 2.  Consistently, with 24.3 and current trunk on xfce.
I'll have to trace the values passed to gtk_window_resize myself.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 3 Dec 2013 20:02:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 03 15:02:37 2013
Received: from localhost ([127.0.0.1]:56809 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VnwB3-0002mJ-7X
	for submit <at> debbugs.gnu.org; Tue, 03 Dec 2013 15:02:37 -0500
Received: from mout.gmx.net ([212.227.15.18]:55304)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <stephen.berman@HIDDEN>) id 1VnwB0-0002m4-OP
 for 16013 <at> debbugs.gnu.org; Tue, 03 Dec 2013 15:02:35 -0500
Received: from rosalinde.fritz.box ([89.245.66.214]) by mail.gmx.com
 (mrgmx102) with ESMTPSA (Nemesis) id 0M4TgW-1VOp4q1l8u-00ydoi for
 <16013 <at> debbugs.gnu.org>; Tue, 03 Dec 2013 21:02:28 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
In-Reply-To: <529E241F.9060406@HIDDEN> (martin rudalics's message of "Tue, 03
 Dec 2013 19:34:07 +0100")
Message-ID: <877gblhffp.fsf@HIDDEN>
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
 <529B0519.3010902@HIDDEN>
 <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
 <529B1C71.9020707@HIDDEN>
 <F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>
 <529CCE48.9090404@HIDDEN> <871u1u52si.fsf@HIDDEN>
 <529D8E94.6040906@HIDDEN> <87iov6b8kt.fsf@HIDDEN>
 <529E241F.9060406@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
Date: Tue, 03 Dec 2013 21:02:27 +0100
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:U7j3ifVPvcfC7VCT/VULt7SEt3fVI8qWjUgJNy4HNhBCFlvrEwD
 OaLW2brB//zaw70k5/928NAoRA2xkRwDqmlR+YJaXmYl71w3fC3vMtpzh299RwKnstawbfi
 KH4f7XTvuatLltP+FLA8EzTvz0hgLLAKQJNP3s+e+ixOGNBqKB8gt+NlK9oL1UfWlHk4Zug
 zmfc4PSMoQLWucA3+dDQw==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: 16013 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

On Tue, 03 Dec 2013 19:34:07 +0100 martin rudalics <rudalics@HIDDEN> wrote:

>> I think that's it, and this seems to be confirmed by starting my Emacs
>> like this:
>>
>> emacs --eval '(tool-bar-mode -1)'
>>
>> Now window-width returns the correct value of 85.  So it seems that the
>> metrics of your new patch are correct, but not the interaction of width
>> and height frame parameters with the tool bar.
>>
>>>                             Which toolkit do you use, if any?
>>
>> gtk3
>
> I now count tool- and menubars with gtk.  Does that fix it?

Yes; thanks.

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 3 Dec 2013 19:45:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 03 14:45:51 2013
Received: from localhost ([127.0.0.1]:56801 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vnvuo-0002MW-Hd
	for submit <at> debbugs.gnu.org; Tue, 03 Dec 2013 14:45:50 -0500
Received: from mailfe09.swip.net ([212.247.155.1]:50127 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1Vnvum-0002MI-IC
 for 16013 <at> debbugs.gnu.org; Tue, 03 Dec 2013 14:45:49 -0500
X-T2-Spam-Status: No, hits=0.8 required=5.0 tests=BAYES_50
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe09.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 284117608; Tue, 03 Dec 2013 20:45:40 +0100
Content-Type: text/plain; charset=iso-8859-1
Mime-Version: 1.0 (Mac OS X Mail 7.0 \(1822\))
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
From: =?iso-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <9E083836-7DF3-4AC3-8711-A0E4757C9691@HIDDEN>
Date: Tue, 3 Dec 2013 20:45:38 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <01BCA22D-62F2-4F04-B14C-85452A9D1201@HIDDEN>
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
 <529B0519.3010902@HIDDEN> <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
 <529B1C71.9020707@HIDDEN> <F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>
 <529CCE48.9090404@HIDDEN> <F7B1AAD0-75DE-400A-B18D-E54A84060284@HIDDEN>
 <529D8F3E.30400@HIDDEN> <93EF122E-7EFC-4ACF-A216-E83981DD511A@HIDDEN>
 <529E2441.8030808@HIDDEN> <9E083836-7DF3-4AC3-8711-A0E4757C9691@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
X-Mailer: Apple Mail (2.1822)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: "16013 <at> debbugs.gnu.org" <16013 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Some more info:

Lucid/Motif: 46 rows, 74 columns on initial frame,
            50 rows, 80 columns on subsequent frames.

No toolkit: 45 rows, 68 columns on initial frame,
                 47 rows, 75 columns on subsequent frames.

Gtk+3 and 2: 49 rows, 80 columns on initial frame.
                49 rows, 80 columns on subsequent frames.

	Jan D.

3 dec 2013 kl. 20:30 skrev Jan Dj=E4rv <jan.h.d@HIDDEN>:

> Hello.
>=20
> 3 dec 2013 kl. 19:34 skrev martin rudalics <rudalics@HIDDEN>:
>=20
>>> Ok, now I get 80 columns and 48 rows.
>>=20
>> Apparently not since you wanted 50 rows.  Please try once more.
>>=20
>=20
> I now get 49 rows.  That is the same I get with 24.3.
>=20
>> Unfortunately a second frame still sometimes gets three rows less.  =
In
>> this regard the behavior here is the same as with 24.3.  Any ideas?
>=20
> I don't see this in the trunk or 24.3.  Rows are consistently 49.
>=20
> 	Jan D.
>=20
>=20





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 3 Dec 2013 19:30:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 03 14:30:37 2013
Received: from localhost ([127.0.0.1]:56776 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vnvg4-0001xV-G2
	for submit <at> debbugs.gnu.org; Tue, 03 Dec 2013 14:30:37 -0500
Received: from mailfe04.swip.net ([212.247.154.97]:57538 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1Vnvg0-0001xF-JF
 for 16013 <at> debbugs.gnu.org; Tue, 03 Dec 2013 14:30:34 -0500
X-T2-Spam-Status: No, hits=0.8 required=5.0 tests=BAYES_50
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe04.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 456318180; Tue, 03 Dec 2013 20:30:25 +0100
Content-Type: text/plain; charset=iso-8859-1
Mime-Version: 1.0 (Mac OS X Mail 7.0 \(1822\))
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
From: =?iso-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <529E2441.8030808@HIDDEN>
Date: Tue, 3 Dec 2013 20:30:22 +0100
Content-Transfer-Encoding: 7bit
Message-Id: <9E083836-7DF3-4AC3-8711-A0E4757C9691@HIDDEN>
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
 <529B0519.3010902@HIDDEN> <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
 <529B1C71.9020707@HIDDEN> <F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>
 <529CCE48.9090404@HIDDEN> <F7B1AAD0-75DE-400A-B18D-E54A84060284@HIDDEN>
 <529D8F3E.30400@HIDDEN> <93EF122E-7EFC-4ACF-A216-E83981DD511A@HIDDEN>
 <529E2441.8030808@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
X-Mailer: Apple Mail (2.1822)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: "16013 <at> debbugs.gnu.org" <16013 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hello.

3 dec 2013 kl. 19:34 skrev martin rudalics <rudalics@HIDDEN>:

> > Ok, now I get 80 columns and 48 rows.
> 
> Apparently not since you wanted 50 rows.  Please try once more.
> 

I now get 49 rows.  That is the same I get with 24.3.

> Unfortunately a second frame still sometimes gets three rows less.  In
> this regard the behavior here is the same as with 24.3.  Any ideas?

I don't see this in the trunk or 24.3.  Rows are consistently 49.

	Jan D.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 3 Dec 2013 18:34:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 03 13:34:57 2013
Received: from localhost ([127.0.0.1]:56747 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VnuoC-0000cf-LO
	for submit <at> debbugs.gnu.org; Tue, 03 Dec 2013 13:34:56 -0500
Received: from mout.gmx.net ([212.227.17.22]:49195)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1VnuoB-0000cT-Hj
 for 16013 <at> debbugs.gnu.org; Tue, 03 Dec 2013 13:34:55 -0500
Received: from [62.47.56.122] ([62.47.56.122]) by mail.gmx.com (mrgmx002) with
 ESMTPSA (Nemesis) id 0M8leW-1VtNvZ1y16-00CBv2 for
 <16013 <at> debbugs.gnu.org>; Tue, 03 Dec 2013 19:34:49 +0100
Message-ID: <529E2441.8030808@HIDDEN>
Date: Tue, 03 Dec 2013 19:34:41 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: =?ISO-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
 <529B0519.3010902@HIDDEN> <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
 <529B1C71.9020707@HIDDEN> <F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>
 <529CCE48.9090404@HIDDEN> <F7B1AAD0-75DE-400A-B18D-E54A84060284@HIDDEN>
 <529D8F3E.30400@HIDDEN> <93EF122E-7EFC-4ACF-A216-E83981DD511A@HIDDEN>
In-Reply-To: <93EF122E-7EFC-4ACF-A216-E83981DD511A@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:El2T+jNyvCGgxWNtuMQNNBQABJ7Ycm5s8oHif23m9xErpOKzBvZ
 ZQR3fVnWLCKgS5hidb9B4jCsNdFiEOfsGQ9zqtLyxoCazNFi7j/tyhxqjoCE7IZ8uhEK6Dr
 rrQUw9baEYFITCfyXKoA+1gUkdm/vS8J9hDHP8sOIyW8QVJP/AjwWbTl5+F2PVEJF3H8kqp
 ytU/E3VNCcy/pzrkMjcJQ==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: "16013 <at> debbugs.gnu.org" <16013 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > Ok, now I get 80 columns and 48 rows.

Apparently not since you wanted 50 rows.  Please try once more.

Unfortunately a second frame still sometimes gets three rows less.  In
this regard the behavior here is the same as with 24.3.  Any ideas?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 3 Dec 2013 18:34:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 03 13:34:26 2013
Received: from localhost ([127.0.0.1]:56744 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vnuni-0000bs-3a
	for submit <at> debbugs.gnu.org; Tue, 03 Dec 2013 13:34:26 -0500
Received: from mout.gmx.net ([212.227.15.19]:56674)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1Vnune-0000bZ-Iv
 for 16013 <at> debbugs.gnu.org; Tue, 03 Dec 2013 13:34:23 -0500
Received: from [62.47.56.122] ([62.47.56.122]) by mail.gmx.com (mrgmx003) with
 ESMTPSA (Nemesis) id 0LomN9-1V80g03WkF-00gqEw for
 <16013 <at> debbugs.gnu.org>; Tue, 03 Dec 2013 19:34:15 +0100
Message-ID: <529E241F.9060406@HIDDEN>
Date: Tue, 03 Dec 2013 19:34:07 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>	<5299FD88.2090600@HIDDEN>
 <529A33F4.5030606@HIDDEN>	<529B0519.3010902@HIDDEN>	<F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>	<529B1C71.9020707@HIDDEN>	<F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>	<529CCE48.9090404@HIDDEN>
 <871u1u52si.fsf@HIDDEN>	<529D8E94.6040906@HIDDEN>
 <87iov6b8kt.fsf@HIDDEN>
In-Reply-To: <87iov6b8kt.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:48WRCErxbik/nmQb6M5JXJg+LFtbp9u/uJ1pTzAS4SPhr2jO5B1
 s+Prb0G0RJZJibSrY0RyfKFxVoAZ6fGV0yZNkoPZmpKurW9Geph8aDOp0OU/ZWYzleAzHb2
 p0Rs+cH71MQS0XQ/+da5HE2sBQ7O17CQvMy+gaJ4NS3bS2+YizpYAWqB0l9XJSedGFq8O0a
 WzBBymd374Go0OeMGNDfg==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: 16013 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

> I think that's it, and this seems to be confirmed by starting my Emacs
> like this:
> 
> emacs --eval '(tool-bar-mode -1)'
> 
> Now window-width returns the correct value of 85.  So it seems that the
> metrics of your new patch are correct, but not the interaction of width
> and height frame parameters with the tool bar.
> 
>>                             Which toolkit do you use, if any?
> 
> gtk3

I now count tool- and menubars with gtk.  Does that fix it?

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 3 Dec 2013 16:32:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 03 11:32:01 2013
Received: from localhost ([127.0.0.1]:56606 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VnstF-00060p-0F
	for submit <at> debbugs.gnu.org; Tue, 03 Dec 2013 11:32:01 -0500
Received: from mailfe03.swip.net ([212.247.154.65]:35986 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1VnstC-00060b-9I
 for 16013 <at> debbugs.gnu.org; Tue, 03 Dec 2013 11:31:59 -0500
X-T2-Spam-Status: No, hits=0.8 required=5.0 tests=BAYES_50
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe03.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 290077015; Tue, 03 Dec 2013 17:31:50 +0100
Received: from anon-55-152.vpn.ipredator.se (unknown [46.246.55.152])
 (Authenticated sender: jhd)
 by hosdjarv.se (Postfix) with ESMTPSA id 2A0DD1A0270;
 Tue,  3 Dec 2013 16:31:49 +0000 (UTC)
Content-Type: text/plain; charset=iso-8859-1
Mime-Version: 1.0 (Mac OS X Mail 7.0 \(1822\))
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
From: =?iso-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <529D8F3E.30400@HIDDEN>
Date: Tue, 3 Dec 2013 17:30:47 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <93EF122E-7EFC-4ACF-A216-E83981DD511A@HIDDEN>
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
 <529B0519.3010902@HIDDEN> <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
 <529B1C71.9020707@HIDDEN> <F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>
 <529CCE48.9090404@HIDDEN> <F7B1AAD0-75DE-400A-B18D-E54A84060284@HIDDEN>
 <529D8F3E.30400@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
X-Mailer: Apple Mail (2.1822)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: "16013 <at> debbugs.gnu.org" <16013 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Ok, now I get 80 columns and 48 rows.

	Jan D.

3 dec 2013 kl. 08:58 skrev martin rudalics <rudalics@HIDDEN>:

>> Why not check in the patch at once instead of posting it here?
>> The current trunk is unusable, so it must be an improvement.=20
>=20
> Done.
>=20
>> Also, did you test on the other X variants, i.e. Lucid, Motif and no =
toolkit?  This seems it only affects Gtk+..
>=20
> Tested only with Gtk+.
>=20
> martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 3 Dec 2013 09:14:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 03 04:14:04 2013
Received: from localhost ([127.0.0.1]:55505 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vnm3P-0005Z3-Ll
	for submit <at> debbugs.gnu.org; Tue, 03 Dec 2013 04:14:04 -0500
Received: from mout.gmx.net ([212.227.15.15]:58817)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <stephen.berman@HIDDEN>) id 1Vnm3N-0005YS-2p
 for 16013 <at> debbugs.gnu.org; Tue, 03 Dec 2013 04:14:02 -0500
Received: from rosalinde.fritz.box ([89.245.66.214]) by mail.gmx.com
 (mrgmx001) with ESMTPSA (Nemesis) id 0M1Wcz-1VTdlr2rKj-00tSl6 for
 <16013 <at> debbugs.gnu.org>; Tue, 03 Dec 2013 10:13:54 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
 <529B0519.3010902@HIDDEN>
 <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
 <529B1C71.9020707@HIDDEN>
 <F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>
 <529CCE48.9090404@HIDDEN> <871u1u52si.fsf@HIDDEN>
 <529D8E94.6040906@HIDDEN>
Date: Tue, 03 Dec 2013 10:13:54 +0100
In-Reply-To: <529D8E94.6040906@HIDDEN> (martin rudalics's message of "Tue, 03
 Dec 2013 08:56:04 +0100")
Message-ID: <87iov6b8kt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:BZfWzFH6tUti+cjOrudHv/uPMgnFyPjj7Lgv+WW9FFWPTate3TF
 Q5pTrAyrBtzZj7wNdHPASPPtAQoZAHDKa0rS2v/eVhBny8+BfWDoGW3nbrHbjpcKUMYVgEZ
 +rPPah+Mu2acxlI1uyl3H9dcKZ1Js19JtwpUbVPCrMS7GNGXU60yPwuuIvF9HDS+TUiJVtz
 VCLSV7aiXxmqpK4FS8bpw==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: 16013 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

On Tue, 03 Dec 2013 08:56:04 +0100 martin rudalics <rudalics@HIDDEN> wrote:

>> FYI I applied the new patch and started the rebuilt Emacs with my
>> initializations, which contain this:
>>
>> (modify-frame-parameters nil '((width . 85) (fullscreen . fullheight)))
>>
>> However, window-width in fact returned 73 (but window-height was the full
>> height).  Then I evalled this:
>>
>> (modify-frame-parameters nil '((width . 85)))
>>
>> Now, window-width was 78.  (Maybe the increase despite the same passed
>> width value is because I customize the tool bar to appear on the left
>> side, and maybe that takes effect after the initial frame width is set.)
>> To get a window-width of 85 columns, I had to give the width
>> frame-parameter a value of 92.
>
> I suppose this is the same issue I experience with my height value when
> the toolbar is at the top.

I think that's it, and this seems to be confirmed by starting my Emacs
like this:

emacs --eval '(tool-bar-mode -1)'

Now window-width returns the correct value of 85.  So it seems that the
metrics of your new patch are correct, but not the interaction of width
and height frame parameters with the tool bar.

>                             Which toolkit do you use, if any?

gtk3

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 3 Dec 2013 07:59:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 03 02:59:11 2013
Received: from localhost ([127.0.0.1]:55454 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vnksw-0003lE-E2
	for submit <at> debbugs.gnu.org; Tue, 03 Dec 2013 02:59:10 -0500
Received: from mout.gmx.net ([212.227.15.19]:58029)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1Vnkst-0003ku-Pb
 for 16013 <at> debbugs.gnu.org; Tue, 03 Dec 2013 02:59:08 -0500
Received: from [62.47.41.116] ([62.47.41.116]) by mail.gmx.com (mrgmx003) with
 ESMTPSA (Nemesis) id 0MeP5b-1Vy00g3KLH-00Q8Hs for
 <16013 <at> debbugs.gnu.org>; Tue, 03 Dec 2013 08:59:01 +0100
Message-ID: <529D8F3E.30400@HIDDEN>
Date: Tue, 03 Dec 2013 08:58:54 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: =?ISO-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
 <529B0519.3010902@HIDDEN> <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
 <529B1C71.9020707@HIDDEN> <F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>
 <529CCE48.9090404@HIDDEN> <F7B1AAD0-75DE-400A-B18D-E54A84060284@HIDDEN>
In-Reply-To: <F7B1AAD0-75DE-400A-B18D-E54A84060284@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:6NMCy8Nf0pO/f2AMOr1KSCJsgw3eHNrRcRusovCFgLBIuy0Nz2u
 PXr9TIjCfaEA7iqMI3YLQ7dnxxeWm+y0IvaVGqH8Go35y4lXSi9GobK0ZbIlH5Pkh2iGSOj
 P/0M0tHc+CX4OkD006+RybsGSelfdIUi6x17mUdjJcp70UdDvRY3/pCSzg9nuIr0kwc5vHZ
 SzXrKHu5kXjfqU9Ew/nNw==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: "16013 <at> debbugs.gnu.org" <16013 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

> Why not check in the patch at once instead of posting it here?
> The current trunk is unusable, so it must be an improvement. 

Done.

> Also, did you test on the other X variants, i.e. Lucid, Motif and no toolkit?  This seems it only affects Gtk+..

Tested only with Gtk+.

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 3 Dec 2013 07:56:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 03 02:56:22 2013
Received: from localhost ([127.0.0.1]:55442 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VnkqE-0003eF-2D
	for submit <at> debbugs.gnu.org; Tue, 03 Dec 2013 02:56:22 -0500
Received: from mout.gmx.net ([212.227.15.19]:50885)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1VnkqA-0003dl-Cy
 for 16013 <at> debbugs.gnu.org; Tue, 03 Dec 2013 02:56:19 -0500
Received: from [62.47.41.116] ([62.47.41.116]) by mail.gmx.com (mrgmx003) with
 ESMTPSA (Nemesis) id 0LztHH-1VaoOW1xXH-014zqE for
 <16013 <at> debbugs.gnu.org>; Tue, 03 Dec 2013 08:56:11 +0100
Message-ID: <529D8E94.6040906@HIDDEN>
Date: Tue, 03 Dec 2013 08:56:04 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>	<5299FD88.2090600@HIDDEN>
 <529A33F4.5030606@HIDDEN>	<529B0519.3010902@HIDDEN>	<F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>	<529B1C71.9020707@HIDDEN>	<F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>	<529CCE48.9090404@HIDDEN>
 <871u1u52si.fsf@HIDDEN>
In-Reply-To: <871u1u52si.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:tNrBZhPIHGuR+AglVFkSIcu+7xlVeJPVPVvinFGDy+CGOKHmXAs
 5glYNyufQGUrA85Lf7IU7usIOh5Gqfhp1BFE6oCb/Z9h5WXsby8EAxSiFMEI46rqPVGejaO
 oz8Z62nLAHJmoiuSKz4GYVogmmU25D1yGIg9NOPkE1I5ascwX8EP2c8T82tKAsnqk1hetri
 MhcsfmveLFCk18fALWZyg==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: 16013 <at> debbugs.gnu.org, =?ISO-8859-15?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > FYI I applied the new patch and started the rebuilt Emacs with my
 > initializations, which contain this:
 >
 > (modify-frame-parameters nil '((width . 85) (fullscreen . fullheight)))
 >
 > However, window-width in fact returned 73 (but window-height was the full
 > height).  Then I evalled this:
 >
 > (modify-frame-parameters nil '((width . 85)))
 >
 > Now, window-width was 78.  (Maybe the increase despite the same passed
 > width value is because I customize the tool bar to appear on the left
 > side, and maybe that takes effect after the initial frame width is set.)
 > To get a window-width of 85 columns, I had to give the width
 > frame-parameter a value of 92.

I suppose this is the same issue I experience with my height value when
the toolbar is at the top.  Which toolkit do you use, if any?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 3 Dec 2013 07:53:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 03 02:53:27 2013
Received: from localhost ([127.0.0.1]:55435 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VnknO-0003XZ-3d
	for submit <at> debbugs.gnu.org; Tue, 03 Dec 2013 02:53:27 -0500
Received: from mailfe05.swip.net ([212.247.154.129]:53583 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1VnknH-0003X4-MW
 for 16013 <at> debbugs.gnu.org; Tue, 03 Dec 2013 02:53:21 -0500
X-T2-Spam-Status: No, hits=0.0 required=5.0 tests=MIME_QP_LONG_LINE
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe05.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 452928028; Tue, 03 Dec 2013 08:53:10 +0100
Received: from [172.16.2.171] (unknown [176.57.193.190])
 (Authenticated sender: jhd)
 by hosdjarv.se (Postfix) with ESMTPSA id 76D851A0235;
 Tue,  3 Dec 2013 07:53:10 +0000 (UTC)
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
 <529B0519.3010902@HIDDEN> <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
 <529B1C71.9020707@HIDDEN> <F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>
 <529CCE48.9090404@HIDDEN>
Mime-Version: 1.0 (1.0)
In-Reply-To: <529CCE48.9090404@HIDDEN>
Content-Type: text/plain;
	charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Message-Id: <F7B1AAD0-75DE-400A-B18D-E54A84060284@HIDDEN>
X-Mailer: iPhone Mail (11B554a)
From: =?utf-8?Q?Jan_Dj=C3=A4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
Date: Tue, 3 Dec 2013 08:53:08 +0100
To: martin rudalics <rudalics@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: "16013 <at> debbugs.gnu.org" <16013 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hello.=20

> 2 dec 2013 kl. 19:15 skrev martin rudalics <rudalics@HIDDEN>:
>=20
> >> (/ (frame-text-height) (frame-char-height))
> >
> > 47.
> >
> >> (/ (frame-text-width) (frame-char-width))
> >
> > This is a bit random.  On 5 starts, I got 79 once, 83 once and 84 three t=
imes.
> > And the number of columns match, 79, 83 and 84.
>=20
> My old patch was silly - it propagated the frame's pixel sizes instead
> of the text sizes to xg_frame_set_char_size.  Please try the attached
> one.  I still have two problems here: The height of the initial frame is
> by six lines too small and a new frame made via C-x 5 2 is two lines
> higher than the initial one.

Why not check in the patch at once instead of posting it here?
The current trunk is unusable, so it must be an improvement.=20

Also, did you test on the other X variants, i.e. Lucid, Motif and no toolkit=
?  This seems it only affects Gtk+..

    Jan D.=20

>=20
> Thanks, martin
> =3D=3D=3D modified file 'src/gtkutil.c'
> --- src/gtkutil.c    2013-11-30 09:25:31 +0000
> +++ src/gtkutil.c    2013-12-02 16:39:10 +0000
> @@ -940,26 +940,12 @@
> void
> xg_frame_set_char_size (struct frame *f, int width, int height)
> {
> -  int pixelwidth;
> +  int pixelwidth =3D FRAME_TEXT_TO_PIXEL_WIDTH (f, width);
>   int pixelheight =3D FRAME_TEXT_TO_PIXEL_HEIGHT (f, height);
>=20
>   if (FRAME_PIXEL_HEIGHT (f) =3D=3D 0)
>     return;
>=20
> -  /* Take into account the size of the scroll bar.  Always use the
> -     number of columns occupied by the scroll bar here otherwise we
> -     might end up with a frame width that is not a multiple of the
> -     frame's character width which is bad for vertically split
> -     windows.  */
> -  f->scroll_bar_actual_width
> -    =3D FRAME_SCROLL_BAR_COLS (f) * FRAME_COLUMN_WIDTH (f);
> -
> -  compute_fringe_widths (f, 0);
> -
> -  /* FRAME_TEXT_COLS_TO_PIXEL_WIDTH uses scroll_bar_actual_width, so call=
 it
> -     after calculating that value.  */
> -  pixelwidth =3D FRAME_TEXT_TO_PIXEL_WIDTH (f, width);
> -
>   /* Do this before resize, as we don't know yet if we will be resized.  *=
/
>   xg_clear_under_internal_border (f);
>=20
> @@ -987,11 +973,7 @@
>       x_wait_for_event (f, ConfigureNotify);
>     }
>   else
> -    {
> -      change_frame_size (f, width, height, 0, 1, 0, 1);
> -      FRAME_PIXEL_WIDTH (f) =3D pixelwidth;
> -      FRAME_PIXEL_HEIGHT (f) =3D pixelheight;
> -     }
> +    change_frame_size (f, width, height, 0, 1, 0, 1);
> }
>=20
> /* Handle height/width changes (i.e. add/remove/move menu/toolbar).
> @@ -1095,7 +1077,7 @@
>               && FRAME_X_DISPLAY (f) =3D=3D dpy)
>             {
>               x_set_scroll_bar_default_width (f);
> -              xg_frame_set_char_size (f, FRAME_COLS (f), FRAME_LINES (f))=
;
> +              xg_frame_set_char_size (f, FRAME_TEXT_WIDTH (f), FRAME_TEXT=
_HEIGHT (f));
>             }
>         }
>     }
>=20
> =3D=3D=3D modified file 'src/gtkutil.h'
> --- src/gtkutil.h    2013-09-17 07:06:42 +0000
> +++ src/gtkutil.h    2013-12-02 15:49:38 +0000
> @@ -139,7 +139,7 @@
> extern void xg_frame_resized (struct frame *f,
>                               int pixelwidth,
>                               int pixelheight);
> -extern void xg_frame_set_char_size (struct frame *f, int cols, int rows);=

> +extern void xg_frame_set_char_size (struct frame *f, int width, int heigh=
t);
> extern GtkWidget * xg_win_to_widget (Display *dpy, Window wdesc);
>=20
> extern void xg_display_open (char *display_name, Display **dpy);
>=20
> =3D=3D=3D modified file 'src/xfns.c'
> --- src/xfns.c    2013-11-30 09:25:31 +0000
> +++ src/xfns.c    2013-12-02 14:36:33 +0000
> @@ -3069,6 +3069,20 @@
>      happen.  */
>   init_frame_faces (f);
>=20
> +  /* PXW: This is a duplicate from below.  We have to do it here since
> +     otherwise x_set_tool_bar_lines will work with the character sizes
> +     installed by init_frame_faces while the frame's pixel size is still
> +     calculated from a character size of 1 and we subsequently hit the
> +     eassert (height >=3D 0) assertion in window_box_height.  The
> +     non-pixelwise code apparently worked around this because it had one
> +     frame line vs one toolbar line which left us with a zero root
> +     window height which was obviously wrong as well ...  */
> +  width =3D FRAME_TEXT_WIDTH (f);
> +  height =3D FRAME_TEXT_HEIGHT (f);
> +  FRAME_TEXT_HEIGHT (f) =3D 0;
> +  SET_FRAME_WIDTH (f, 0);
> +  change_frame_size (f, width, height, 1, 0, 0, 1);
> +
>   /* Set the menu-bar-lines and tool-bar-lines parameters.  We don't
>      look up the X resources controlling the menu-bar and tool-bar
>      here; they are processed specially at startup, and reflected in
>=20
> =3D=3D=3D modified file 'src/xterm.c'
> --- src/xterm.c    2013-11-30 16:25:51 +0000
> +++ src/xterm.c    2013-12-02 17:16:35 +0000
> @@ -8745,6 +8745,8 @@
> {
>   block_input ();
>=20
> +  check_frame_size (f, &width, &height, pixelwise);
> +
>   if (NILP (tip_frame) || XFRAME (tip_frame) !=3D f)
>     {
>       int text_width, text_height;
> @@ -8771,14 +8773,20 @@
>       change_frame_size (f, text_width, text_height, 0, 1, 0, 1);
>     }
>=20
> +  if (! pixelwise)
> +    {
> +      width =3D width * FRAME_COLUMN_WIDTH (f);
> +      height =3D height * FRAME_LINE_HEIGHT (f);
> +    }
> +
> #ifdef USE_GTK
>   if (FRAME_GTK_WIDGET (f))
>     xg_frame_set_char_size (f, width, height);
>   else
> -    x_set_window_size_1 (f, change_gravity, width, height, pixelwise);
> +    x_set_window_size_1 (f, change_gravity, width, height, 1);
> #else /* not USE_GTK */
>=20
> -  x_set_window_size_1 (f, change_gravity, width, height, pixelwise);
> +  x_set_window_size_1 (f, change_gravity, width, height, 1);
>=20
> #endif /* not USE_GTK */
>=20
>=20




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 2 Dec 2013 22:03:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 02 17:03:20 2013
Received: from localhost ([127.0.0.1]:55176 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VnbaJ-0005Bn-NO
	for submit <at> debbugs.gnu.org; Mon, 02 Dec 2013 17:03:20 -0500
Received: from mout.gmx.net ([212.227.17.22]:49350)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <stephen.berman@HIDDEN>) id 1VnbaG-0005BW-Pk
 for 16013 <at> debbugs.gnu.org; Mon, 02 Dec 2013 17:03:17 -0500
Received: from rosalinde.fritz.box ([89.245.123.79]) by mail.gmx.com
 (mrgmx001) with ESMTPSA (Nemesis) id 0LgptO-1VIRpY0HpO-00oGai for
 <16013 <at> debbugs.gnu.org>; Mon, 02 Dec 2013 23:03:10 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
 <529B0519.3010902@HIDDEN>
 <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
 <529B1C71.9020707@HIDDEN>
 <F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>
 <529CCE48.9090404@HIDDEN>
Date: Mon, 02 Dec 2013 23:03:09 +0100
In-Reply-To: <529CCE48.9090404@HIDDEN> (martin rudalics's message of "Mon, 02
 Dec 2013 19:15:36 +0100")
Message-ID: <871u1u52si.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:kdWxCqYBLyeTX8+XELX6+cjL4lXbkq0tqfWm62GfEesP2AjsOrP
 c57I099uFZa71nVfFLW83+0TVkw9UKhvns5lXX7UcCOIl8NRoSQL0xidLibvwK1CaRjbiOZ
 YSKEDPw0goxxJW2tYUKdOo7DfGBi7JiT+64hiKFePFN/CtiBsSwzzMcAhELBHzQsxmyxAJo
 P3V5VBFdXBSrYSW/YGsyA==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: 16013 <at> debbugs.gnu.org, Jan =?utf-8?Q?Dj=C3=A4rv?= <jan.h.d@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

On Mon, 02 Dec 2013 19:15:36 +0100 martin rudalics <rudalics@HIDDEN> wrote:

>>> (/ (frame-text-height) (frame-char-height))
>>
>> 47.
>>
>>> (/ (frame-text-width) (frame-char-width))
>>
>> This is a bit random.  On 5 starts, I got 79 once, 83 once and 84
>> three times.  And the number of columns match, 79, 83 and 84.
>
> My old patch was silly - it propagated the frame's pixel sizes instead
> of the text sizes to xg_frame_set_char_size.  Please try the attached
> one.  I still have two problems here: The height of the initial frame
> is by six lines too small and a new frame made via C-x 5 2 is two
> lines higher than the initial one.

FYI I applied the new patch and started the rebuilt Emacs with my
initializations, which contain this:

(modify-frame-parameters nil '((width . 85) (fullscreen . fullheight)))

However, window-width in fact returned 73 (but window-height was the full
height).  Then I evalled this:

(modify-frame-parameters nil '((width . 85)))

Now, window-width was 78.  (Maybe the increase despite the same passed
width value is because I customize the tool bar to appear on the left
side, and maybe that takes effect after the initial frame width is set.)
To get a window-width of 85 columns, I had to give the width
frame-parameter a value of 92.

This is with the xft backend and font
-unknown-DejaVu Sans Mono-normal-normal-normal-*-12-*-*-*-m-0-iso10646-1

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 2 Dec 2013 18:15:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 02 13:15:51 2013
Received: from localhost ([127.0.0.1]:54998 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VnY2B-0006kP-1a
	for submit <at> debbugs.gnu.org; Mon, 02 Dec 2013 13:15:51 -0500
Received: from mout.gmx.net ([212.227.17.20]:56882)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1VnY28-0006k9-HE
 for 16013 <at> debbugs.gnu.org; Mon, 02 Dec 2013 13:15:49 -0500
Received: from [62.47.32.26] ([62.47.32.26]) by mail.gmx.com (mrgmx103) with
 ESMTPSA (Nemesis) id 0LgI0W-1VHYoE0KUW-00ndKr for <16013 <at> debbugs.gnu.org>;
 Mon, 02 Dec 2013 19:15:42 +0100
Message-ID: <529CCE48.9090404@HIDDEN>
Date: Mon, 02 Dec 2013 19:15:36 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: =?ISO-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
 <529B0519.3010902@HIDDEN> <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
 <529B1C71.9020707@HIDDEN> <F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>
In-Reply-To: <F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>
Content-Type: multipart/mixed; boundary="------------030700060506020709030907"
X-Provags-ID: V03:K0:fuIr5PAMzE4SJdklfnpjX6hY6DLliH89ORpNuozguGwKRmAxsyc
 u/45m4sXlbCYkKVrXRjm8alZm9Lhh4lkwlWiT1l+cBrvfSaosdcvsdeMiFcXQnUZ5GAAySH
 Q69zN0ilgm+tt94ptC4+OXgMHUWbLTC8vYrTpQJyoLAHssZaByRrwphtKa+7WZ4jpRpzFfG
 pbnBpUy8CzJ3FVE1nYmdQ==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: 16013 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

This is a multi-part message in MIME format.
--------------030700060506020709030907
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit

 >> (/ (frame-text-height) (frame-char-height))
 >
 > 47.
 >
 >> (/ (frame-text-width) (frame-char-width))
 >
 > This is a bit random.  On 5 starts, I got 79 once, 83 once and 84 three times.
 > And the number of columns match, 79, 83 and 84.

My old patch was silly - it propagated the frame's pixel sizes instead
of the text sizes to xg_frame_set_char_size.  Please try the attached
one.  I still have two problems here: The height of the initial frame is
by six lines too small and a new frame made via C-x 5 2 is two lines
higher than the initial one.

Thanks, martin

--------------030700060506020709030907
Content-Type: text/plain;
 name="change-frame-size.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
 filename="change-frame-size.diff"

=== modified file 'src/gtkutil.c'
--- src/gtkutil.c	2013-11-30 09:25:31 +0000
+++ src/gtkutil.c	2013-12-02 16:39:10 +0000
@@ -940,26 +940,12 @@
 void
 xg_frame_set_char_size (struct frame *f, int width, int height)
 {
-  int pixelwidth;
+  int pixelwidth = FRAME_TEXT_TO_PIXEL_WIDTH (f, width);
   int pixelheight = FRAME_TEXT_TO_PIXEL_HEIGHT (f, height);

   if (FRAME_PIXEL_HEIGHT (f) == 0)
     return;

-  /* Take into account the size of the scroll bar.  Always use the
-     number of columns occupied by the scroll bar here otherwise we
-     might end up with a frame width that is not a multiple of the
-     frame's character width which is bad for vertically split
-     windows.  */
-  f->scroll_bar_actual_width
-    = FRAME_SCROLL_BAR_COLS (f) * FRAME_COLUMN_WIDTH (f);
-
-  compute_fringe_widths (f, 0);
-
-  /* FRAME_TEXT_COLS_TO_PIXEL_WIDTH uses scroll_bar_actual_width, so call it
-     after calculating that value.  */
-  pixelwidth = FRAME_TEXT_TO_PIXEL_WIDTH (f, width);
-
   /* Do this before resize, as we don't know yet if we will be resized.  */
   xg_clear_under_internal_border (f);

@@ -987,11 +973,7 @@
       x_wait_for_event (f, ConfigureNotify);
     }
   else
-    {
-      change_frame_size (f, width, height, 0, 1, 0, 1);
-      FRAME_PIXEL_WIDTH (f) = pixelwidth;
-      FRAME_PIXEL_HEIGHT (f) = pixelheight;
-     }
+    change_frame_size (f, width, height, 0, 1, 0, 1);
 }

 /* Handle height/width changes (i.e. add/remove/move menu/toolbar).
@@ -1095,7 +1077,7 @@
               && FRAME_X_DISPLAY (f) == dpy)
             {
               x_set_scroll_bar_default_width (f);
-              xg_frame_set_char_size (f, FRAME_COLS (f), FRAME_LINES (f));
+              xg_frame_set_char_size (f, FRAME_TEXT_WIDTH (f), FRAME_TEXT_HEIGHT (f));
             }
         }
     }

=== modified file 'src/gtkutil.h'
--- src/gtkutil.h	2013-09-17 07:06:42 +0000
+++ src/gtkutil.h	2013-12-02 15:49:38 +0000
@@ -139,7 +139,7 @@
 extern void xg_frame_resized (struct frame *f,
                               int pixelwidth,
                               int pixelheight);
-extern void xg_frame_set_char_size (struct frame *f, int cols, int rows);
+extern void xg_frame_set_char_size (struct frame *f, int width, int height);
 extern GtkWidget * xg_win_to_widget (Display *dpy, Window wdesc);

 extern void xg_display_open (char *display_name, Display **dpy);

=== modified file 'src/xfns.c'
--- src/xfns.c	2013-11-30 09:25:31 +0000
+++ src/xfns.c	2013-12-02 14:36:33 +0000
@@ -3069,6 +3069,20 @@
      happen.  */
   init_frame_faces (f);

+  /* PXW: This is a duplicate from below.  We have to do it here since
+     otherwise x_set_tool_bar_lines will work with the character sizes
+     installed by init_frame_faces while the frame's pixel size is still
+     calculated from a character size of 1 and we subsequently hit the
+     eassert (height >= 0) assertion in window_box_height.  The
+     non-pixelwise code apparently worked around this because it had one
+     frame line vs one toolbar line which left us with a zero root
+     window height which was obviously wrong as well ...  */
+  width = FRAME_TEXT_WIDTH (f);
+  height = FRAME_TEXT_HEIGHT (f);
+  FRAME_TEXT_HEIGHT (f) = 0;
+  SET_FRAME_WIDTH (f, 0);
+  change_frame_size (f, width, height, 1, 0, 0, 1);
+
   /* Set the menu-bar-lines and tool-bar-lines parameters.  We don't
      look up the X resources controlling the menu-bar and tool-bar
      here; they are processed specially at startup, and reflected in

=== modified file 'src/xterm.c'
--- src/xterm.c	2013-11-30 16:25:51 +0000
+++ src/xterm.c	2013-12-02 17:16:35 +0000
@@ -8745,6 +8745,8 @@
 {
   block_input ();

+  check_frame_size (f, &width, &height, pixelwise);
+
   if (NILP (tip_frame) || XFRAME (tip_frame) != f)
     {
       int text_width, text_height;
@@ -8771,14 +8773,20 @@
       change_frame_size (f, text_width, text_height, 0, 1, 0, 1);
     }

+  if (! pixelwise)
+    {
+      width = width * FRAME_COLUMN_WIDTH (f);
+      height = height * FRAME_LINE_HEIGHT (f);
+    }
+
 #ifdef USE_GTK
   if (FRAME_GTK_WIDGET (f))
     xg_frame_set_char_size (f, width, height);
   else
-    x_set_window_size_1 (f, change_gravity, width, height, pixelwise);
+    x_set_window_size_1 (f, change_gravity, width, height, 1);
 #else /* not USE_GTK */

-  x_set_window_size_1 (f, change_gravity, width, height, pixelwise);
+  x_set_window_size_1 (f, change_gravity, width, height, 1);

 #endif /* not USE_GTK */



--------------030700060506020709030907--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 1 Dec 2013 12:02:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 01 07:02:21 2013
Received: from localhost ([127.0.0.1]:52667 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vn5jA-0003n4-2c
	for submit <at> debbugs.gnu.org; Sun, 01 Dec 2013 07:02:20 -0500
Received: from mailfe06.swip.net ([212.247.154.161]:42623 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1Vn5j5-0003mo-F5
 for 16013 <at> debbugs.gnu.org; Sun, 01 Dec 2013 07:02:16 -0500
X-T2-Spam-Status: No, hits=0.8 required=5.0 tests=BAYES_50
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe06.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 455280445; Sun, 01 Dec 2013 13:02:08 +0100
Content-Type: text/plain; charset=iso-8859-1
Mime-Version: 1.0 (Mac OS X Mail 7.0 \(1822\))
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
From: =?iso-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <529B1C71.9020707@HIDDEN>
Date: Sun, 1 Dec 2013 13:02:07 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <F9E45C79-023D-453A-B6CE-52D2C5DE6397@HIDDEN>
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
 <529B0519.3010902@HIDDEN> <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
 <529B1C71.9020707@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
X-Mailer: Apple Mail (2.1822)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: 16013 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hello.

1 dec 2013 kl. 12:24 skrev martin rudalics <rudalics@HIDDEN>:

>> Width is 83 columns, so that is wrong, it should be 80 by default.
>> Height is missing 3 rows, but I think it did that before also, i.e. =
tool- and menu-bar.
>=20
> What give
>=20
> (/ (frame-text-height) (frame-char-height))

47.

> (/ (frame-text-width) (frame-char-width))

This is a bit random.  On 5 starts, I got 79 once, 83 once and 84 three =
times.
And the number of columns match, 79, 83 and 84.

	Jan D.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 1 Dec 2013 11:24:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 01 06:24:47 2013
Received: from localhost ([127.0.0.1]:52653 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vn58p-0002mt-FU
	for submit <at> debbugs.gnu.org; Sun, 01 Dec 2013 06:24:47 -0500
Received: from mout.gmx.net ([212.227.15.19]:60497)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1Vn58m-0002me-M9
 for 16013 <at> debbugs.gnu.org; Sun, 01 Dec 2013 06:24:45 -0500
Received: from [62.47.61.186] ([62.47.61.186]) by mail.gmx.com (mrgmx003) with
 ESMTPSA (Nemesis) id 0LomN9-1V6ZiP1J9f-00gpYH for
 <16013 <at> debbugs.gnu.org>; Sun, 01 Dec 2013 12:24:38 +0100
Message-ID: <529B1C71.9020707@HIDDEN>
Date: Sun, 01 Dec 2013 12:24:33 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: =?ISO-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
 <529B0519.3010902@HIDDEN> <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
In-Reply-To: <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:cenOySZdJgaJpm09fVDPyASGO+g5vf/1pq+nid4lP0H0PmDqS5J
 lYFKrBtm6C8D2vJBwu+S73KVToZkQZJu8laJxjhXTDRwakjMxxSnKb8mInnWHsfjvtowRZp
 aZiqZ7VgM2qk2FMnWwDYE1Ywyuny3vTL+M9cDkFSiWQShJmoYbqqUVz2764L65hLGGbFOxR
 Ahx8U3+vIch58I1IiMS9Q==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: 16013 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

> Width is 83 columns, so that is wrong, it should be 80 by default.
> Height is missing 3 rows, but I think it did that before also, i.e. tool- and menu-bar.

What give

(/ (frame-text-height) (frame-char-height))
(/ (frame-text-width) (frame-char-width))

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 1 Dec 2013 10:01:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 01 05:01:46 2013
Received: from localhost ([127.0.0.1]:52574 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vn3qU-0000nA-Js
	for submit <at> debbugs.gnu.org; Sun, 01 Dec 2013 05:01:46 -0500
Received: from mailfe04.swip.net ([212.247.154.97]:53454 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1Vn3qS-0000mq-FW
 for 16013 <at> debbugs.gnu.org; Sun, 01 Dec 2013 05:01:45 -0500
X-T2-Spam-Status: No, hits=0.8 required=5.0 tests=BAYES_50
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe04.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 455602290; Sun, 01 Dec 2013 11:01:38 +0100
Content-Type: text/plain; charset=iso-8859-1
Mime-Version: 1.0 (Mac OS X Mail 7.0 \(1822\))
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
From: =?iso-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <529B0519.3010902@HIDDEN>
Date: Sun, 1 Dec 2013 11:01:37 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <F65BB282-9AA2-444A-BDF2-8F60B8D99B46@HIDDEN>
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
 <529B0519.3010902@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
X-Mailer: Apple Mail (2.1822)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: 16013 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hello.

1 dec 2013 kl. 10:44 skrev martin rudalics <rudalics@HIDDEN>:

>> That works.
>=20
> With correct height and width ?
>=20

Width is 83 columns, so that is wrong, it should be 80 by default.
Height is missing 3 rows, but I think it did that before also, i.e. =
tool- and menu-bar.

	Jan D.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 1 Dec 2013 09:45:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 01 04:45:12 2013
Received: from localhost ([127.0.0.1]:52556 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vn3aS-0000Nt-G9
	for submit <at> debbugs.gnu.org; Sun, 01 Dec 2013 04:45:12 -0500
Received: from mout.gmx.net ([212.227.17.20]:61752)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1Vn3aO-0000Nd-KW
 for 16013 <at> debbugs.gnu.org; Sun, 01 Dec 2013 04:45:10 -0500
Received: from [62.47.55.164] ([62.47.55.164]) by mail.gmx.com (mrgmx001) with
 ESMTPSA (Nemesis) id 0MPUZ7-1ViOkO42sL-004nHC for
 <16013 <at> debbugs.gnu.org>; Sun, 01 Dec 2013 10:45:02 +0100
Message-ID: <529B0519.3010902@HIDDEN>
Date: Sun, 01 Dec 2013 10:44:57 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: =?ISO-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN> <529A33F4.5030606@HIDDEN>
In-Reply-To: <529A33F4.5030606@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:E+ptB/0dJf42pITIZWUGx+YNW8Z1CbTAYW5vBqKws7isBXASSXt
 L6Lx3qKsAMNW/Zy5futTDuubyqa6mpIZlNdOTfb4+pbZ/luuQg/y1KHmgenm3wmr7m24N4F
 ukw9fD14JRyjRcHTY78rodYAIS+P1p3RGZv90F7Lsu+gWhp9MiKh3I9l8zvwbh0M02BNZJX
 vwd1li37Pns9Y5JPFtoJQ==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: 16013 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

> That works.

With correct height and width ?

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 30 Nov 2013 18:52:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 30 13:52:46 2013
Received: from localhost ([127.0.0.1]:52008 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vmpen-0003AI-Cg
	for submit <at> debbugs.gnu.org; Sat, 30 Nov 2013 13:52:45 -0500
Received: from mailfe02.swip.net ([212.247.154.33]:44452 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1Vmpel-0003A1-7u
 for 16013 <at> debbugs.gnu.org; Sat, 30 Nov 2013 13:52:44 -0500
X-T2-Spam-Status: No, hits=0.8 required=5.0 tests=BAYES_50
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe02.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 457056204; Sat, 30 Nov 2013 19:52:36 +0100
Message-ID: <529A33F4.5030606@HIDDEN>
Date: Sat, 30 Nov 2013 19:52:36 +0100
From: =?ISO-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:24.0) Gecko/20100101 Thunderbird/24.1.0
MIME-Version: 1.0
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
 <5299FD88.2090600@HIDDEN>
In-Reply-To: <5299FD88.2090600@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: 16013 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

2013-11-30 16:00, martin rudalics skrev:
>  > Can't do this from -Q, but with a minimal .emacs:
>  >
>  > (custom-set-variables
>  >  '(default-frame-alist (quote ((height . 50))))
>  > )
>  >
>  > start emacs and it won't be 50 rows, but 50 pixels.
>
> Bad luck.  Please try the attached, pretty unripe patch.
>

That works.

	Jan D.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at 16013 <at> debbugs.gnu.org:


Received: (at 16013) by debbugs.gnu.org; 30 Nov 2013 15:00:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 30 10:00:42 2013
Received: from localhost ([127.0.0.1]:51877 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vmm2D-0005u3-72
	for submit <at> debbugs.gnu.org; Sat, 30 Nov 2013 10:00:41 -0500
Received: from mout.gmx.net ([212.227.17.21]:56030)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1Vmm26-0005tl-HF
 for 16013 <at> debbugs.gnu.org; Sat, 30 Nov 2013 10:00:36 -0500
Received: from [62.47.52.182] ([62.47.52.182]) by mail.gmx.com (mrgmx103) with
 ESMTPSA (Nemesis) id 0MN1Gu-1Vg9GF2tLs-006eBp for
 <16013 <at> debbugs.gnu.org>; Sat, 30 Nov 2013 16:00:27 +0100
Message-ID: <5299FD88.2090600@HIDDEN>
Date: Sat, 30 Nov 2013 16:00:24 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: =?ISO-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#16013: 24.3.50; Rows in height is interpreted as pixels.
References: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
In-Reply-To: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
Content-Type: multipart/mixed; boundary="------------080006030101030409050302"
X-Provags-ID: V03:K0:xtlMVKv3beWeE+lRY8Pu7o4ZNdHJPUhOiPD1FyuZNqQXEjDJNk0
 fetUazDWHIq5bQbv1tGjdf1pfFpzEdglWLt8hIf81HB9mFEdNOogJ10aJAughUHcm2IRFkD
 bhX2DJgfk9K3JcCoVo69sBkUiqLKxuTuf8iv5UOwVKr8m1OnwaOF1U+R/uXHERyZh08yu47
 PES80FuDsSmkYhHhXTOIQ==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16013
Cc: 16013 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

This is a multi-part message in MIME format.
--------------080006030101030409050302
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit

 > Can't do this from -Q, but with a minimal .emacs:
 >
 > (custom-set-variables
 >  '(default-frame-alist (quote ((height . 50))))
 > )
 >
 > start emacs and it won't be 50 rows, but 50 pixels.

Bad luck.  Please try the attached, pretty unripe patch.

Thanks, martin

--------------080006030101030409050302
Content-Type: text/plain;
 name="frame-height.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
 filename="frame-height.diff"

=== modified file 'src/gtkutil.c'
--- src/gtkutil.c	2013-11-30 09:25:31 +0000
+++ src/gtkutil.c	2013-11-30 14:44:13 +0000
@@ -938,27 +938,30 @@
    COLUMNS/ROWS is the size the edit area shall have after the resize.  */

 void
-xg_frame_set_char_size (struct frame *f, int width, int height)
+xg_frame_set_char_size (struct frame *f, int width, int height, bool pixelwise)
 {
-  int pixelwidth;
-  int pixelheight = FRAME_TEXT_TO_PIXEL_HEIGHT (f, height);
+  int pixelwidth = pixelwise ? width : 0;
+  int pixelheight = pixelwise ? height : FRAME_TEXT_TO_PIXEL_HEIGHT (f, height);

   if (FRAME_PIXEL_HEIGHT (f) == 0)
     return;

-  /* Take into account the size of the scroll bar.  Always use the
-     number of columns occupied by the scroll bar here otherwise we
-     might end up with a frame width that is not a multiple of the
-     frame's character width which is bad for vertically split
-     windows.  */
-  f->scroll_bar_actual_width
-    = FRAME_SCROLL_BAR_COLS (f) * FRAME_COLUMN_WIDTH (f);
-
-  compute_fringe_widths (f, 0);
-
-  /* FRAME_TEXT_COLS_TO_PIXEL_WIDTH uses scroll_bar_actual_width, so call it
-     after calculating that value.  */
-  pixelwidth = FRAME_TEXT_TO_PIXEL_WIDTH (f, width);
+  if (! pixelwise)
+    {
+      /* Take into account the size of the scroll bar.  Always use the
+	 number of columns occupied by the scroll bar here otherwise we
+	 might end up with a frame width that is not a multiple of the
+	 frame's character width which is bad for vertically split
+	 windows.  */
+      f->scroll_bar_actual_width
+	= FRAME_SCROLL_BAR_COLS (f) * FRAME_COLUMN_WIDTH (f);
+
+      compute_fringe_widths (f, 0);
+
+      /* FRAME_TEXT_COLS_TO_PIXEL_WIDTH uses scroll_bar_actual_width, so call it
+	 after calculating that value.  */
+      pixelwidth = FRAME_TEXT_TO_PIXEL_WIDTH (f, width);
+    }

   /* Do this before resize, as we don't know yet if we will be resized.  */
   xg_clear_under_internal_border (f);
@@ -988,7 +991,7 @@
     }
   else
     {
-      change_frame_size (f, width, height, 0, 1, 0, 1);
+      change_frame_size (f, pixelwidth, pixelheight, 0, 1, 0, 1);
       FRAME_PIXEL_WIDTH (f) = pixelwidth;
       FRAME_PIXEL_HEIGHT (f) = pixelheight;
      }
@@ -1095,7 +1098,7 @@
               && FRAME_X_DISPLAY (f) == dpy)
             {
               x_set_scroll_bar_default_width (f);
-              xg_frame_set_char_size (f, FRAME_COLS (f), FRAME_LINES (f));
+              xg_frame_set_char_size (f, FRAME_COLS (f), FRAME_LINES (f), 0);
             }
         }
     }

=== modified file 'src/gtkutil.h'
--- src/gtkutil.h	2013-09-17 07:06:42 +0000
+++ src/gtkutil.h	2013-11-30 14:43:32 +0000
@@ -139,7 +139,7 @@
 extern void xg_frame_resized (struct frame *f,
                               int pixelwidth,
                               int pixelheight);
-extern void xg_frame_set_char_size (struct frame *f, int cols, int rows);
+extern void xg_frame_set_char_size (struct frame *f, int cols, int rows, bool pixelwise);
 extern GtkWidget * xg_win_to_widget (Display *dpy, Window wdesc);

 extern void xg_display_open (char *display_name, Display **dpy);

=== modified file 'src/xterm.c'
--- src/xterm.c	2013-11-30 09:25:31 +0000
+++ src/xterm.c	2013-11-30 14:42:43 +0000
@@ -8743,8 +8743,12 @@
 void
 x_set_window_size (struct frame *f, int change_gravity, int width, int height, bool pixelwise)
 {
+  int pixelwidth, pixelheight;
+
   block_input ();

+  check_frame_size (f, &width, &height, pixelwise);
+
   if (NILP (tip_frame) || XFRAME (tip_frame) != f)
     {
       int r, c, text_width, text_height;
@@ -8773,14 +8777,25 @@
       change_frame_size (f, text_width, text_height, 0, 1, 0, 1);
     }

+  if (pixelwise)
+    {
+      pixelwidth = FRAME_TEXT_TO_PIXEL_WIDTH (f, width);
+      pixelheight = FRAME_TEXT_TO_PIXEL_HEIGHT (f, height);
+    }
+  else
+    {
+      pixelwidth = FRAME_TEXT_COLS_TO_PIXEL_WIDTH (f, width);
+      pixelheight = FRAME_TEXT_LINES_TO_PIXEL_HEIGHT (f, height);
+    }
+
 #ifdef USE_GTK
   if (FRAME_GTK_WIDGET (f))
-    xg_frame_set_char_size (f, width, height);
+    xg_frame_set_char_size (f, pixelwidth, pixelheight, 1);
   else
-    x_set_window_size_1 (f, change_gravity, width, height, pixelwise);
+    x_set_window_size_1 (f, change_gravity, pixelwidth, pixelheight, 1);
 #else /* not USE_GTK */

-  x_set_window_size_1 (f, change_gravity, width, height, pixelwise);
+  x_set_window_size_1 (f, change_gravity, pixelwidth, pixelheight, 1);

 #endif /* not USE_GTK */



--------------080006030101030409050302--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Nov 2013 13:09:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 30 08:09:06 2013
Received: from localhost ([127.0.0.1]:51256 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VmkID-00038e-Iu
	for submit <at> debbugs.gnu.org; Sat, 30 Nov 2013 08:09:06 -0500
Received: from eggs.gnu.org ([208.118.235.92]:54647)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1VmkIC-00038B-6w
 for submit <at> debbugs.gnu.org; Sat, 30 Nov 2013 08:09:04 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jan.h.d@HIDDEN>) id 1VmkHx-000334-Ge
 for submit <at> debbugs.gnu.org; Sat, 30 Nov 2013 08:08:58 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:52862)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jan.h.d@HIDDEN>) id 1VmkHx-000330-E0
 for submit <at> debbugs.gnu.org; Sat, 30 Nov 2013 08:08:49 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:56340)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jan.h.d@HIDDEN>) id 1VmkHp-0005vX-UT
 for bug-gnu-emacs@HIDDEN; Sat, 30 Nov 2013 08:08:49 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jan.h.d@HIDDEN>) id 1VmkHi-00031u-KG
 for bug-gnu-emacs@HIDDEN; Sat, 30 Nov 2013 08:08:41 -0500
Received: from mailfe02.swip.net ([212.247.154.33]:46810 helo=swip.net)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jan.h.d@HIDDEN>) id 1VmkHi-00031i-CQ
 for bug-gnu-emacs@HIDDEN; Sat, 30 Nov 2013 08:08:34 -0500
X-T2-Spam-Status: No, hits=0.8 required=5.0 tests=BAYES_50
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe02.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 457016291 for bug-gnu-emacs@HIDDEN;
 Sat, 30 Nov 2013 14:08:32 +0100
From: =?iso-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Subject: 24.3.50; Rows in height is interpreted as pixels.
Message-Id: <5579FC36-5F75-4679-87F6-048C5B7326F6@HIDDEN>
Date: Sat, 30 Nov 2013 14:08:30 +0100
To: bug-gnu-emacs@HIDDEN
Mime-Version: 1.0 (Mac OS X Mail 7.0 \(1822\))
X-Mailer: Apple Mail (2.1822)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Hello.

Can't do this from -Q, but with a minimal .emacs:

(custom-set-variables
 '(default-frame-alist (quote ((height . 50))))
)

start emacs and it won't be 50 rows, but 50 pixels.

      Jan D.
      


In GNU Emacs 24.3.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.8.6)
 of 2013-11-30 on f19
Bzr revision: 115304 jan.h.d@HIDDEN
Windowing system distributor `Fedora Project', version 11.0.11403000
Configured using:
 `configure --enable-checking --verbose --prefix=/opt/emacs-cvs
 CFLAGS=-g3'

Important settings:
  value of $LC_COLLATE: C
  value of $LANG: sv_SE.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<escape> x r e p o r t . <backspace> - e m <tab> <
return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils time-date tooltip electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind gfilenotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)





Acknowledgement sent to Jan Djärv <jan.h.d@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#16013; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.